<?php

/* tinyMCE class */
class Fresh_Shortcodes_TinyMCE{
	
	function __construct() {
		
		add_action('admin_init', array( &$this, 'fresh_shortcodes_admin_head' ));
		add_action('init', array( &$this, 'fresh_shortcodes_tinymce' ));
		add_action('wp_enqueue_scripts', array( &$this, 'fresh_shortcodes_frontend' ));
				
	}
	
	function fresh_shortcodes_admin_head() {
		if(basename( $_SERVER['PHP_SELF']) == "post-new.php" || basename( $_SERVER['PHP_SELF']) == "post.php") {
			wp_enqueue_style( 'fresh-shortcodes-admin', FRESHSHORTCODES_DIR . 'stylesheets/fresh-shortcodes-admin.css');
			
			wp_enqueue_script( 'jquery-ui-sortable' );
			wp_enqueue_script( 'livequery', FRESHSHORTCODES_DIR . 'javascripts/jquery.livequery.js', false, '1.0', false );
			wp_enqueue_script( 'appendo', FRESHSHORTCODES_DIR . 'javascripts/jquery.appendo.js', false, '1.0', false );
			wp_enqueue_script( 'base64', FRESHSHORTCODES_DIR . 'javascripts/base64.js', false, '1.0', false );
			wp_enqueue_script( 'select', FRESHSHORTCODES_DIR . 'javascripts/select-style.js', false, '1.0', false );
			wp_enqueue_script( 'fresh-shortcodes-admin', FRESHSHORTCODES_DIR . 'javascripts/fresh-shortcodes-admin.js', false, '1.0', false );
		}
	}
	
	function fresh_shortcodes_tinymce() {
		if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
			return;
	
		if ( get_user_option('rich_editing') == 'true' ) {
			add_filter( 'mce_external_plugins', array( &$this, 'fresh_shortcodes_add_rich_plugins' ) );
			add_filter( 'mce_buttons', array( &$this, 'fresh_shortcodes_register_rich_buttons' ) );
		}
	}
	
	function fresh_shortcodes_frontend() {
		wp_enqueue_style( 'fresh-shortcodes', FRESHSHORTCODES_DIR . 'stylesheets/fresh-shortcodes.css', false, '1.0');
		
		wp_enqueue_script( 'jquery-tools', FRESHSHORTCODES_DIR . 'javascripts/jquery.tools.js', false, '1.2.7', true );
		wp_enqueue_script( 'fresh-shortcodes', FRESHSHORTCODES_DIR . 'javascripts/fresh-shortcodes.js', false, '1.0', true );
	}
	
	function fresh_shortcodes_add_rich_plugins( $plugins ) {
		$plugins['FreshShortcodes'] = FRESHSHORTCODES_DIR . 'includes/tinymce.js';
		return $plugins;
	}
	
	function fresh_shortcodes_register_rich_buttons( $buttons ) {
		array_push( $buttons, "|", 'FreshShortcodesButton' );
		return $buttons;
	}
	
}

/* Initialize class */
new Fresh_Shortcodes_TinyMCE();
	