<?php
/*
Plugin Name: Fresh Shortcodes
Plugin URI: http://www.freshthemes.net
Description: A shortcode plugin for FreshThemes themes.
Author: Rifki A.G
Version: 1.0
Author URI: http://www.rifki.net
*/

/* Define plugin path and directory */
define( 'FRESHSHORTCODES_DIR', plugin_dir_url( __FILE__ ) );
define( 'FRESHSHORTCODES_PATH', plugin_dir_path( __FILE__ ) );

/* Include tinyMCE class */
require_once('classes/tinymce.class.php' );

/* Shortcode Config */
$fresh_shortcodes_config['button'] = array(
	'no_preview' => false,
	'params' => array(
		'url' => array(
			'label' => __('Link URL', 'fsc'),
			'desc' => __('Enter the link destination URL here.', 'fsc'),
			'type' => 'text',
			'std' => ''
		),
		'content' => array(
			'label' => __('Button Label', 'fsc'),
			'desc' => __('Enter the button text label.', 'fsc'),
			'type' => 'text',
			'std' => ''
		),
		'size' => array(
			'label' => __('Button Size', 'fsc'),
			'desc' => __('Select the button size.', 'fsc'),
			'type' => 'select',
			'options' => array(
				'small' => __('Small', 'fsc'),
				'normal' => __('Normal', 'fsc'),
				'large' => __('Large', 'fsc')
			),
			'std' => ''
		),
		'color' => array(
			'label' => __('Button Color', 'fsc'),
			'desc' => __('Select the button color.', 'fsc'),
			'type' => 'select',
			'options' => array(
				'default' => __('Default', 'fsc'),
				'black' => __('Black', 'fsc'),
				'blue' => __('Blue', 'fsc'),
				'green' => __('Green', 'fsc'),
				'orange' => __('Orange', 'fsc'),
				'pink' => __('Pink', 'fsc'),
				'purple' => __('Purple', 'fsc'),
				'red' => __('Red', 'fsc')
			),
			'std' => ''
		),
		'target' => array(
			'label' => __('Target Attribute', 'fsc'),
			'desc' => __('Select the link target attribute means where the link should to open.', 'fsc'),
			'type' => 'select',
			'options' => array(
				'_self' => __('Current Tab', 'fsc'),
				'_blank' => __('New Tab', 'fsc'),
				'_top' => __('New Window', 'fsc'),
				'_parent' => __('Parent Tab', 'fsc')
			),
			'std' => ''
		),
		'class' => array(
			'label' => __('Custom Class', 'fsc'),
			'desc' => __('If you wish to combine this button with your style please enter the css class here.', 'fsc'),
			'type' => 'text',
			'std' => ''
		)
	),
	'shortcode' => '[fresh_button url="{{url}}" size="{{size}}" color="{{color}}" target="{{target}}" class="{{class}}"]{{content}}[/fresh_button]',
	'popup_title' => __('Insert Button Shortcode', 'fsc')
);

$fresh_shortcodes_config['column'] = array(
	'no_preview' => true,
	'params' => array(),
	'child' => array(
		'params' => array(
			'size' => array(
				'label' => __('Column Size', 'fsc'),
				'desc' => __('Select the column size.', 'fsc'),
				'type' => 'select',
				'options' => array(
					'fresh_one_half' => __('1/2', 'fsc'),
					'fresh_one_half_last' => __('1/2 Last', 'fsc'),
					'fresh_one_third' => __('1/3', 'fsc'),
					'fresh_one_third_last' => __('1/3 Last', 'fsc'),
					'fresh_one_fourth' => __('1/4', 'fsc'),
					'fresh_one_fourth_last' => __('1/4 Last', 'fsc'),
					'fresh_two_third' => __('2/3', 'fsc'),
					'fresh_two_third_last' => __('2/3 Last', 'fsc'),
					'fresh_three_fourth' => __('3/4', 'fsc'),
					'fresh_three_fourth_last' => __('3/4 Last', 'fsc'),
				),
				'std' => ''
			),
			'content' => array(
				'label' => __('Column Content', 'fsc'),
				'desc' => __('Put the content here.', 'fsc'),
				'type' => 'textarea',
				'std' => ''
			)
		),
		'shortcode' => '[{{size}}]{{content}}[/{{size}}]',
		'clone' => __('Add More Column', 'fsc' )
	),
	'shortcode' => '{{child}}',
	'popup_title' => __('Insert Column Shortcode', 'fsc')
);

$fresh_shortcodes_config['alert'] = array(
	'no_preview' => true,
	'params' => array(
		'color' => array(
			'label' => __('Color Style', 'fsc'),
			'desc' => __('Select the style.', 'fsc'),
			'type' => 'select',
			'options' => array(
				'default' => __('Default', 'fsc'),
				'blue' => __('Blue', 'fsc'),
				'green' => __('Green', 'fsc'),
				'red' => __('Red', 'fsc'),
				'yellow' => __('Yellow', 'fsc')
			),
			'std' => ''
		),
		'content' => array(
			'label' => __('Alert Message', 'fsc'),
			'desc' => __('Your message here.', 'fsc'),
			'type' => 'textarea',
			'std' => ''
		)
	),
	'shortcode' => '[fresh_alert color="{{color}}"]{{content}}[/fresh_alert]',
	'popup_title' => __('Insert Alert Shortcode', 'fsc')
);

$fresh_shortcodes_config['accordion'] = array(
	'no_preview' => true,
	'params' => array(),
	'child' => array(
		'params' => array(
			'title' => array(
				'label' => __('Pane Title', 'fsc'),
				'desc' => __('Enter the pane title.', 'fsc'),
				'type' => 'text',
				'std' => ''
			),
			'content' => array(
				'label' => __('Pane Content', 'fsc'),
				'desc' => __('Put the content here.', 'fsc'),
				'type' => 'textarea',
				'std' => ''
			)
		),
		'shortcode' => '[pane title="{{title}}"]{{content}}[/pane]',
		'clone' => __('Add More Pane', 'fsc' )
	),
	'shortcode' => '[fresh_accordion]{{child}}[/fresh_accordion]',
	'popup_title' => __('Insert Accordion Shortcode', 'fsc')
);

$fresh_shortcodes_config['tabs'] = array(
	'no_preview' => true,
	'params' => array(),
	'child' => array(
		'params' => array(
			'title' => array(
				'label' => __('Tab Title', 'fsc'),
				'desc' => __('Enter the tab title.', 'fsc'),
				'type' => 'text',
				'std' => ''
			),
			'content' => array(
				'label' => __('Tab Content', 'fsc'),
				'desc' => __('Put the content here.', 'fsc'),
				'type' => 'textarea',
				'std' => ''
			)
		),
		'shortcode' => '[tab title="{{title}}"]{{content}}[/tab]',
		'clone' => __('Add More Tab', 'fsc' )
	),
	'shortcode' => '[fresh_tabs]{{child}}[/fresh_tabs]',
	'popup_title' => __('Insert Tabs Shortcode', 'fsc')
);

$fresh_shortcodes_config['dropcap'] = array(
	'no_preview' => true,
	'params' => array(
		'content' => array(
			'label' => __('Dropcap Word', 'fsc'),
			'desc' => __('Enter one word.', 'fsc'),
			'type' => 'text',
			'std' => ''
		)
	),
	'shortcode' => '[fresh_dropcap]{{content}}[/fresh_dropcap]',
	'popup_title' => __('Insert Dropcap Shortcode', 'fsc')
);

$fresh_shortcodes_config['divider'] = array(
	'no_preview' => true,
	'params' => array(
		'style' => array(
			'label' => __('Style', 'fsc'),
			'desc' => __('Select the divider style.', 'fsc'),
			'type' => 'select',
			'options' => array(
				'dashed' => __('Dashed', 'fsc'),
				'dotted' => __('Dotted', 'fsc'),
				'double' => __('Double', 'fsc'),
				'solid' => __('Solid', 'fsc'),
				'striped' => __('Striped', 'fsc')
			),
			'std' => 'solid'
		)
	),
	'shortcode' => '[fresh_divider style="{{style}}"]',
	'popup_title' => __('Insert Divider Shortcode', 'fsc')
);

$fresh_shortcodes_config['video'] = array(
	'no_preview' => true,
	'params' => array(
		'url' => array(
			'label' => __('Video URL', 'fsc'),
			'desc' => __('Paste the video URL here, click <a href="http://codex.wordpress.org/Embeds#Okay.2C_So_What_Sites_Can_I_Embed_From.3F" target="_blank">here</a> to see all available video hosts.', 'fsc'),
			'type' => 'text',
			'std' => ''
		)
	),
	'shortcode' => '[fresh_video url="{{url}}"]',
	'popup_title' => __('Insert Video Shortcode', 'fsc')
);

/* Button Shortcode */
function fresh_shortcode_button( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'url' 		=> '',
		'size'		=> '',
		'color'		=> '',
		'target' 	=> '',
		'class'		=> ''
	), $atts));
	
	return '<a href="'.$url.'" target="'.$target.'" class="fresh-btn '.$size.' '.$color.' '.$class.'" >'. do_shortcode($content) .'</a>';
}

add_shortcode('fresh_button', 'fresh_shortcode_button');

/* One Half Column */
function fresh_shortcode_one_half( $atts, $content = null ) {
	return '<div class="one-half">' . do_shortcode($content) . '</div>';
}
add_shortcode('fresh_one_half', 'fresh_shortcode_one_half');

function fresh_shortcode_one_half_last( $atts, $content = null ) {
	return '<div class="one-half last">' . do_shortcode($content) . '</div>';
}
add_shortcode('fresh_one_half_last', 'fresh_shortcode_one_half_last');

/* One Third Column */
function fresh_shortcode_one_third( $atts, $content = null ) {
	return '<div class="one-third">' . do_shortcode($content) . '</div>';
}
add_shortcode('fresh_one_third', 'fresh_shortcode_one_third');

function fresh_shortcode_one_third_last( $atts, $content = null ) {
	return '<div class="one-third last">' . do_shortcode($content) . '</div>';
}
add_shortcode('fresh_one_third_last', 'fresh_shortcode_one_third_last');

/* One Fourth Column */
function fresh_shortcode_one_fourth( $atts, $content = null ) {
	return '<div class="one-fourth">' . do_shortcode($content) . '</div>';
}
add_shortcode('fresh_one_fourth', 'fresh_shortcode_one_fourth');

function fresh_shortcode_one_fourth_last( $atts, $content = null ) {
	return '<div class="one-fourth last">' . do_shortcode($content) . '</div>';
}
add_shortcode('fresh_one_fourth_last', 'fresh_shortcode_one_fourth_last');

/* Two Third Column */
function fresh_shortcode_two_third( $atts, $content = null ) {
	return '<div class="two-third">' . do_shortcode($content) . '</div>';
}
add_shortcode('fresh_two_third', 'fresh_shortcode_two_third');

function fresh_shortcode_two_third_last( $atts, $content = null ) {
	return '<div class="two-third last">' . do_shortcode($content) . '</div>';
}
add_shortcode('fresh_two_third_last', 'fresh_shortcode_two_third_last');

/* Three Fourth Column */
function fresh_shortcode_three_fourth( $atts, $content = null ) {
	return '<div class="three-fourth">' . do_shortcode($content) . '</div>';
}
add_shortcode('fresh_three_fourth', 'fresh_shortcode_three_fourth');

function fresh_shortcode_three_fourth_last( $atts, $content = null ) {
	return '<div class="three-fourth last">' . do_shortcode($content) . '</div>';
}
add_shortcode('fresh_three_fourth_last', 'fresh_shortcode_three_fourth_last');

/* Alert Message */
function fresh_shortcode_alert( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'color' => ''
	), $atts));
	$output = '';
	return '<div class="fresh-alert '.$color.'">'.do_shortcode($content).'</div>';
	
	return $output;
}

add_shortcode('fresh_alert', 'fresh_shortcode_alert');

/* Accordion */
function fresh_shortcode_accordion( $atts, $content = null ) {
	extract( shortcode_atts( array(), $atts ) );
	$output = '';
	
	if (!preg_match_all("/(.?)\[(pane)\b(.*?)(?:(\/))?\](?:(.+?)\[\/pane\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	} 
	else {
		
		for($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		
		$output .= '<div class="fresh-accordion">';
			for($i = 0; $i < count($matches[0]); $i++) {
				$output .= '<a class="fresh-accordion-title">'. $matches[3][$i]['title'] .'</a>';
				if ( $i == 0 ) :
					$output .= '<div class="fresh-accordion-pane" style="display:block">'.do_shortcode( trim($matches[5][$i]) ).'</div>';
				else :
					$output .= '<div class="fresh-accordion-pane">'.do_shortcode( trim($matches[5][$i]) ).'</div>';
				endif;
			}
		$output .= '</div>';
		
		return $output;
	}
}

add_shortcode('fresh_accordion', 'fresh_shortcode_accordion');

function fresh_shortcode_tabs( $atts, $content = null ) {
	$output = '';
	
	extract( shortcode_atts( array(), $atts ) );
	
	if (!preg_match_all("/(.?)\[(tab)\b(.*?)(?:(\/))?\](?:(.+?)\[\/tab\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	} 
	else {
		
		for($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		
		$output .= '<div class="fresh-tabs">';
			$output .= '<ul class="fresh-tabs-nav clearfix">';
			for($i = 0; $i < count($matches[0]); $i++) {
				$output .= '<li><a title="' . $matches[3][$i]['title'] .  '" href="#">' . $matches[3][$i]['title'] . '</a></li>';
			}
			$output .= '</ul>';
		
			$output .= '<div class="fresh-panes">';
			for($i = 0; $i < count($matches[0]); $i++) {
				$output .= '<div>' . do_shortcode(trim($matches[5][$i])) .'</div>';
			}
			$output .= '</div>';
		$output .= '</div>';
		
		return $output;
	}

}

add_shortcode('fresh_tabs', 'fresh_shortcode_tabs');

/*	Dropcap */
function fresh_shortcode_dropcap( $atts, $content = null ) {
	$output = '<span class="fresh-dropcap">' . do_shortcode($content) . '</span>';

	return $output;
}

add_shortcode('fresh_dropcap', 'fresh_shortcode_dropcap');
	
/*	Divider  */
function fresh_shortcode_divider( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'style' => ''
	), $atts));
	
	$output = '<div class="fresh-divider '.$style.'"></div>';
	
	return $output;
}

add_shortcode('fresh_divider', 'fresh_shortcode_divider');

/*	Video */
function fresh_shortcode_video( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'url' => ''
	), $atts));
	
	return '<div class="video-container">' . wp_oembed_get( $url ) .'</div>';
}

add_shortcode('fresh_video', 'fresh_shortcode_video');

/* 
Fix issues when shortcodes are embedded in a block of content that is filtered by wpautop. 
http://www.johannheyne.de
*/
function shortcode_empty_paragraph_fix($content){   
	$array = array (
		'<p>[' => '[', 
		']</p>' => ']', 
		']<br />' => ']'
	);

	$content = strtr($content, $array);

	return $content;
}

add_filter('the_content', 'shortcode_empty_paragraph_fix');
add_filter( 'widget_text', 'do_shortcode', 11);