<section id="comments" class="clearfix">
	<?php if ( post_password_required() ) : ?>
	<p class="nopassword"><?php _e( 'این نوشته با رمز عبور محافظت شده است. برای مشاهده دیدگاه‌ها رمز عبور را وارد کنید.', THEME_FX ); ?></p>
</section><!-- #comments -->

	<?php return; endif; ?>
	
	<?php // You can start editing here -- including this comment! ?>
	
	<?php if ( have_comments() ) : ?>
	<h2 id="comments-title" class="heading">
		<?php
		printf( _n( 'یک دیدگاه در &rdquo;%2$s&ldquo;', '%1$s دیدگاه در &rdquo;%2$s&ldquo;', get_comments_number(), THEME_FX ),
			number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
		?>
	</h2>

	<ol class="commentlist clearfix">
		<?php wp_list_comments( array( 'callback' => 'freshthemes_comment' ) ); ?>
	</ol>
	
	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
	<nav id="comment-nav">
		<div class="nav-next"><?php previous_comments_link( __( 'دیدگاه‌های قدیمی‌تر &rarr;', THEME_FX ) ); ?></div>
		<div class="nav-previous"><?php next_comments_link( __( '&larr; دیدگاه‌های جدیدتر', THEME_FX ) ); ?></div>
	</nav>
	<?php endif; // check for comment navigation ?>
	
	<?php elseif ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
		<p class="nocomments"><?php _e( 'دیدگاه‌ها بسته شده‌اند.', THEME_FX ); ?></p>
	<?php endif; ?>
	
	<div class="clear"></div>
	
    <?php
	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );

	$fields =  array(
		'author' => '<p class="comment-form-author one-third">
					<label for="author">' . __( 'نام', THEME_FX ) . '</label> ' 
					. ( $req ? '<span class="required">*</span>' : '' ) 
					. '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' />
					</p>',
					
		'email'  => '<p class="comment-form-email one-third">
					<label for="email">' . __( 'ایمیل', THEME_FX ) . '</label> ' 
					. ( $req ? '<span class="required">*</span>' : '' ) .
					'<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' />
					</p>',
					
		'url'    => '<p class="comment-form-url one-third last">
					<label for="url">' . __( 'آدرس وبسایت', THEME_FX ) . '</label>' .
					'<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" />
					</p><div class="clear"></div>',
	); 
	?>

	<?php 
	$comments_args = array(
		'fields' => $fields,
		'comment_notes_after' => '',
		// redefine your own textarea (the comment body)
		'comment_field' => '<p class="comment-form-comment"><label for="comment">' . _x( 'دیدگاه', THEME_FX ) . '</label><textarea id="comment" name="comment" aria-required="true"></textarea></p>',
	);
	
	comment_form($comments_args); 
	?>

</section><!-- #comments -->