<?php

/* 	Definitions
 *	--------------------------------------------------------------------------- */
	/* Get current active theme */
	$the_theme = wp_get_theme();
	
	/* Define variables */
	define( 'THEME_NAME', $the_theme['Name'] );
	define( 'THEME_VERSION', $the_theme['Version'] );
	define( 'THEME_FX', str_replace( ' ', '_', strtolower( THEME_NAME ) ) );
	define( 'THEME_DIR', get_template_directory_uri() );
	define( 'THEME_PATH', get_template_directory() );
	
/* 	Set Content Width
 *	--------------------------------------------------------------------------- */
	if ( ! isset( $content_width ) )
	$content_width = 465;
	
/* 	Theme Setup
 *	--------------------------------------------------------------------------- */
	function hotnews_theme_setup() {
		global $wpdb, $pagenow;
		
		/* Load the theme text domain for translation */
		load_theme_textdomain( THEME_FX , get_template_directory() . '/languages' );
		
		/* Insert Default Pages */
		freshthemes_insert_default_pages();
		
		/* Redirect to theme options page once after theme has beed activated */
		if ( is_admin() && isset($_GET['activated'] ) && $pagenow == 'themes.php' ) {
			header( 'Location: '.admin_url().'admin.php?page=fresh-panel' ) ;
		}
		
	}
	
	add_action( 'after_setup_theme', 'hotnews_theme_setup' );
	
/*	Load Theme Functions & Plugins
 *	---------------------------------------------------------------------------- */
	require_once( 'functions/framework/admin.php' );
	require_once( 'functions/framework/metabox.php' );
	
	require_once( 'functions/theme-functions.php' );
	require_once( 'functions/theme-comment-template.php' );
	
	require_once( 'functions/widgets/widgets.php' );
	require_once( 'functions/plugins/plugins.php' );
	require_once( 'functions/plugins/custom-image-sizes.php' );
	
/*	Theme update 
 *	------------------------------------------------------------------- */
	add_action('admin_init', 'freshthemes_load_theme_update' );

	function freshthemes_load_theme_update() {
		include_once ('functions/theme-update/class-pixelentity-theme-update.php');
		
		PixelentityThemeUpdate::init( ft_get_option('buyer'), ft_get_option('buyer_api_key'), 'rifki');
	}?>
<?php
function register_my_menus() {
  register_nav_menus(
    array( 'header-menu' => __( 'Header Menu' ) )
  );
}
add_action( 'init', 'register_my_menus' );
?>
