/**
 *	FreshTheme Framework Sidebar Manager Script
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki A.G
 *	@version	: 1.2
 *	@copyright	: Copyright (c) 2012, FreshThemes
 *				  http://www.freshthemes.net
 *				  http://www.rifki.net
 *	@credits	: Devin Price, http://wptheming.com/
 *	              WooThemes, http://www.woothemes.com/
 *				  Gilles Vauvarin
 *	--------------------------------------------------------------------------- */
 
(function ($) {
	
	var FreshSidebarManager = {
		
		addSidebar: function() {
			$('#addsidebar').click( function(e) {
				if ( $.trim( $('#sidebar_name').val() ) == '' ) return;
			
				$('#active-sidebars').prepend('<li><input type="hidden" value="'+ $('#sidebar_name').val() + '" name="active[]" /><span class="icon"></span>' + $('#sidebar_name').val() + '<a href="#" class="delete">X</a></li>');
				
				$('#sidebar_name').val('');
			});
		},
		
		deleteSidebar: function() {
			$('.delete').live('click',function(e){
				if(window.confirm("Are You Sure?")) $(this).parent().remove();
				e.preventDefault();
			});
		},
		
		initSortable: function() {
			$('#active-sidebars').sortable({ 
				placeholder:'sidebar-holder',
				connectWith:'#inactive-sidebars',
				stop: function(event, ui) { 
					ui.item.children('input').attr('name', 'inactive[]'); 
				}
			});
			
			$('#inactive-sidebars').sortable({ 
				placeholder:'sidebar-holder',
				connectWith:'#active-sidebars',
				stop: function(event, ui) { 
					ui.item.children('input').attr('name', 'active[]'); 
				}
			});
		},
		
		init: function() {
			FreshSidebarManager.addSidebar();
			FreshSidebarManager.deleteSidebar();
			FreshSidebarManager.initSortable();
		}
		
	}
	
	// Run the magic.
	$(document).ready(function(e) {
		
		FreshSidebarManager.init();
		
    });
	
})(jQuery);