<?php
/**
 *	FreshTheme Framework Sidebar Manager
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki A.G
 *	@version	: 1.2
 *	@copyright	: Copyright (c) 2012, FreshThemes
 *				  http://www.freshthemes.net
 *				  http://www.rifki.net
 *	@credits	: Devin Price, http://wptheming.com/
 *	              WooThemes, http://www.woothemes.com/
 *				  Gilles Vauvarin, https://github.com/vauvarin
 *	--------------------------------------------------------------------------- */
 
class FreshSidebarManager {

/*	Constructor 
 *	------------------------------------------------------------------- */
	var $admin_page;
	var $token;
	
	function FreshSidebarManager(){
		$this->admin_page = '';
		$this->token = 'fresh-sidebar-manager';
	} 

/*	Initialize the class 
 *	------------------------------------------------------------------- */	
	function init(){
		if ( is_admin() ) {
			add_action( 'admin_menu', array( &$this, 'register_admin_screen' ), 20 );
		}
	} 

/*	Register the admin screen within WordPress.
 *	------------------------------------------------------------------- */		
	function register_admin_screen(){
			
		$this->admin_page = add_submenu_page('fresh-panel', __( 'مدیریت ستون‌کناری', THEME_FX ), __( 'مدیریت ستون‌کناری', THEME_FX ), 'manage_options', $this->token, array( &$this, 'admin_screen' ) );
		
		if( isset( $_GET['page'] ) && ( $_GET['page'] == $this->token ) ) {
			add_action("admin_enqueue_scripts",'fresh_sidebar_manager_load_adminscript');
			add_action("admin_print_styles-$this->admin_page",'fresh_sidebar_manager_load_adminstyles');
		}

		/* Loads the CSS */
		function fresh_sidebar_manager_load_adminstyles() {
			wp_enqueue_style('admin-style', THEME_DIR . '/functions/framework/stylesheets/admin-style.css', array(), '1.2' );
		}
		
		/* Loads the CSS */
		function fresh_sidebar_manager_load_adminscript() {
			wp_enqueue_script('jquery-ui-core');
			wp_enqueue_script('jquery-ui-sortable', array('jquery'));
			wp_enqueue_script('admin-js', THEME_DIR . '/functions/framework/javascripts/admin.js', array(), '1.2', false );
			wp_enqueue_script('sidebar-manager', THEME_DIR . '/functions/framework/javascripts/sidebar-manager.js', array(), '1.2', false );
		}
	
	} 
	
/*	Sidebar Manager Front End
 *	------------------------------------------------------------------- */	
	function admin_screen() {
		$sidebar_array['active'] = array();
		$sidebar_array['inactive'] = array();
		
		if( isset( $_POST['submit'] ) ) {
			if( isset( $_POST['active'] ) ) $sidebar_array['active'] = $_POST['active'];
			if( isset( $_POST['inactive'] ) ) $sidebar_array['inactive'] = $_POST['inactive'];
			
			update_option('freshthemes_sidebars', $sidebar_array );
		}
		
		$sidebar_array = get_option('freshthemes_sidebars');
		
		$store_url = 'http://bigtheme.ir/category/featured-product/';
		$profile_url = 'http://bigtheme.ir/%D9%BE%D8%B4%D8%AA%DB%8C%D8%A8%D8%A7%D9%86%DB%8C/';
		?>
        
        <div id="freshthemes" class="wrap">
            <form action="" method="post">
                <div id="freshthemes-header">
                    <div class="logo">
                    </div>
                    
                    <div class="sep"></div>
                    
                    <div class="themeinfo">
                        <span class="themename"><?php echo THEME_NAME; ?></span>
                        <span class="themeversion">نسخه: <?php echo THEME_VERSION; ?></span>
                    </div>
                    
                    <div class="sep"></div>
                    
                    <div class="extralinks">
                        <a class="support" href="<?php echo $profile_url; ?>" target="_blank">پشتیبانی</a>
                        <a class="store" href="<?php echo $store_url; ?>" target="_blank">فروشگاه</a>
                    </div>
                </div>
                
                <div id="freshthemes-main">
                    <div id="freshthemes-content-sm">
                        
                        <div id="addsidebar-area">
                        <h3><?php _e('افزودن ستون کناری جدید', THEME_FX); ?></h3>
                        <input id="sidebar_name" name="sidebar_name" type="text" placeholder="<?php _e('نام ستون کناری را وارد کنید', THEME_FX); ?>" />
                        <input name="addsidebar" type="button" value="<?php _e('افزودن ستون کناری', THEME_FX); ?>" id="addsidebar" class="button button-primary" />
                        </div>
                        
                        <div id="active-sidebars-area">
                        <h3><?php _e('ستون کناری‌های فعال', THEME_FX); ?></h3>
                        <ul id="active-sidebars" class="droptrue">
                        <?php 
                        $active_sidebars = $sidebar_array['active'];
						if ($active_sidebars) :
                        foreach( $active_sidebars as $sidebar ) : 
                            echo '<li><input type="hidden" name="active[]" value="'.$sidebar.'"/><span class="icon"></span>'.$sidebar.' <a href="#" class="delete">X</a></li>';  
                        endforeach;
						endif;
                        ?>
                        </ul>
                        </div>
                        
                        <div id="inactive-sidebars-area">
                        <h3><?php _e('ستون کناری‌های غیرفعال', THEME_FX); ?></h3>
                        <ul id="inactive-sidebars" class="droptrue">
                        <?php 
                        $inactive_sidebars = $sidebar_array['inactive'];
						if ($inactive_sidebars) :
                        foreach( $inactive_sidebars as $sidebar ) : 
                            echo '<li><input type="hidden" name="inactive[]" value="'.$sidebar.'"/><span class="icon"></span>'.$sidebar.' <a href="#" class="delete">X</a></li>';  
                        endforeach;
						endif;
                        ?>
                        </ul>
                        </div>
                        
                        <div class="clear"></div>
                    </div>
                </div>
                
                <div id="freshthemes-footer">
                    <div class="thanks" style="float:right">
                        &copy; تمپ‌ها - <?php printf( __('مرجع <a href="%s" target="_blank">پوسته‌های وردپرس</a>', THEME_FX ), $store_url ); ?>
                    </div>
                    
                    <div style="float:left">
                        <input type="submit" class="button button-primary" name="submit" value="<?php esc_attr_e( 'ذخیره ستون ‌کناری', THEME_FX); ?>" />
                    </div>
                    
                    <div class="clear"></div>
                </div>
            </form>
        </div>
        
        <?php
	}
	
}

/*	Create a Backup Object
 *	------------------------------------------------------------------- */
	$FreshSidebarManager = new FreshSidebarManager();
	$FreshSidebarManager->init();