<?php
/** 
 *	Theme Metaboxes
 * 	---------------------------------------------------------------------------
 * 	@package	: Fresh Framework
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0.1
 *	@link		: http://www.freshthemes.net
 *	@copyright	: Copyright (c) 2012, http://www.freshthemes.net
 *	--------------------------------------------------------------------------- */

/*	Metabox Config
 *	--------------------------------------------------------- */
	add_filter( 'fresh_metaboxes', 'hotnews_metaboxes' );
	
	function hotnews_metaboxes( array $metaboxes ) {
		$prefix = THEME_FX;
		$imagepath =  THEME_DIR . '/functions/framework/images/';
		
		$metaboxes[] = array(
			'id'		 => 'std_post_format_options',
			'title'      => __('گزینه‌های استاندارد فرمت نوشته', THEME_FX),
			'pages'      => array('post'), // Post type
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'id'	=> $prefix . 'single_featured_image',
					'name' => __('تصویر شاخص تک‌نوشته', THEME_FX ),
					'type'	=> 'radio',
					'options' => array (
						'on'  => __('روشن', THEME_FX),
						'off' => __('خاموش', THEME_FX)
					),
					'std' => 'on'
				),
			)
		);
		
		$metaboxes[] = array(
			'id'		 => 'image_post_format_options',
			'title'      => __('گزینه‌های فرمت تصویر نوشته', THEME_FX),
			'pages'      => array('post'), // Post type
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'id'	=> $prefix . 'image_lightbox',
					'name' => __('لایت‌باکس تصویر', THEME_FX ),
					'type'	=> 'radio',
					'options' => array (
						'on'  => __('روشن', THEME_FX),
						'off' => __('خاموش', THEME_FX)
					),
					'std' => 'on'
				),
				array(
					'id'	=> $prefix . 'image_height',
					'name' => __('ارتفاع تصویر', THEME_FX ),
					'type'	=> 'text',
					'std' => '400'
				),
			)
		);
		
		$metaboxes[] = array(
			'id'		 => 'gallery_post_format_options',
			'title'      => __('گزینه‌های فرمت گالری نوشته', THEME_FX),
			'pages'      => array('post'), // Post type
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'id'	=> $prefix . 'gallery_slider',
					'name' => __('اسلایدر گالری', THEME_FX ),
					'type'	=> 'radio',
					'options' => array (
						'on'  => __('روشن', THEME_FX),
						'off' => __('خاموش', THEME_FX)
					),
					'std' => 'on'
				),
				array(
					'id'	=> $prefix . 'slide_caption',
					'name' => __('توضیح اسلاید', THEME_FX ),
					'type'	=> 'radio',
					'options' => array (
						'on'  => __('روشن', THEME_FX),
						'off' => __('خاموش', THEME_FX)
					),
					'std' => 'on'
				),
				array(
					'id'	=> $prefix . 'gallery_image_height',
					'name' => __('ارتفاع تصویر', THEME_FX ),
					'type'	=> 'text',
					'std' => '400'
				),
			)
		);
		
		$metaboxes[] = array(
			'id'		 => 'video_post_format_options',
			'title'      => __('گزینه‌های فرمت ویدئوی نوشته', THEME_FX),
			'pages'      => array('post'), // Post type
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'id'	=> $prefix . 'video_url',
					'name' => __('آدرس ویدئو', THEME_FX ),
					'desc'	=> sprintf(__( 'آدرس ویدئو را اینجا قرار دهید، <a href="%s" target="_blank">اینجا</a> تا همه میزبانان ویدئو در دسترس  را مشاهده کنید.', THEME_FX ), 'http://codex.wordpress.org/Embeds#Okay.2C_So_What_Sites_Can_I_Embed_From.3F' ),
					'type'	=> 'text',
					'std' => ''
				),
			)
		);
		
		$sidebars = array(); 
		$sidebars_obj = get_option('freshthemes_sidebars');
		$sidebars_obj = $sidebars_obj['active'];
		
		if(empty($sidebars_obj)) 
		$sidebars_obj = array();
		
		$sidebars[''] = 'Default';
		foreach ($sidebars_obj as $k => $v) {
			$sidebars[$v] = $v;
		}
	
		$metaboxes[] = array(
			'id'		 => $prefix . 'custom_post_settings',
			'title'      => __('تنظیمات دلخواه نوشته', THEME_FX),
			'pages'      => array('post'), // Post type
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'name' => __('نوشته‌های شاخص', THEME_FX ),
					'desc'	=> __('برای شاخص کردن این نوشته تیک بزنید. (قرار گرفتن در اسلایدر)', THEME_FX),
					'id'	=> $prefix . 'set_as_featured',
					'type'	=> 'checkbox'
				),
				array(
					'name' => __('استایل طرح‌بندی', THEME_FX ),
					'desc'	=> __('یک طرح‌بندی برای این نوشته/برگه انتخاب کنید', THEME_FX),
					'id'	=> $prefix . 'post_layout',
					'type' => 'images',
					'options' => array(
						'layout_1' => $imagepath . 'layout/a.png', 
						'layout_2' => $imagepath . 'layout/c.png', 
						'layout_3' => $imagepath . 'layout/b.png'
					),
					'std' => 'layout_1'
				),
				array(
					'name' => __('ستون کناری دلخواه چپ', THEME_FX ),
					'desc'	=> __('یک ستون کناری برای مکان ابزارک چپ انتخاب کنید', THEME_FX),
					'id'	=> $prefix . 'sidebar_left',
					'type'	=> 'select',
					'options'	=> $sidebars,
				),
				array(
					'name' => __('ستون کناری دلخواه راست', THEME_FX ),
					'desc'	=> __('یک ستون کناری برای مکان ابزارک راست انتخاب کنید', THEME_FX),
					'id'	=> $prefix . 'sidebar_right',
					'type'	=> 'select',
					'options'	=> $sidebars,
				),
				array(
					'name' => __('پس‌زمینه دلخواه', THEME_FX ),
					'desc'	=> '',
					'id'	=> $prefix . 'custom_background',
					'type'  => 'radio',
					'options' => array (
						'none'	=> 'هیچکدام',
						'normal' => 'معمولی',
						'backstrech' => 'بک‌استرچ'
					),
					'std' => 'none'
				),
				array(
					'name' => __('تصویر پس‌زمینه', THEME_FX ),
					'desc'	=> '',
					'id'	=> $prefix . 'background_image',
					'type'	=> 'image'
				),
				array(
					'name' => __('رنگ پس‌زمینه', THEME_FX ),
					'desc'	=> '',
					'id'	=> $prefix . 'background_color',
					'type'	=> 'color'
				),
				array(
					'name' => __('تکرار پس‌زمینه', THEME_FX ),
					'desc'	=> '',
					'id'	=> $prefix . 'background_repeat',
					'type'	=> 'select',
					'options' => array (
						'no-repeat' => __('بدون تکرار', THEME_FX),
						'repeat-x'  => __('تکرار افقی', THEME_FX),
						'repeat-y'  => __('تکرار عمودی', THEME_FX),
						'repeat'    => __('تکرار همه', THEME_FX),
					)
				),
				array(
					'name' => __('مکان پس‌زمینه', THEME_FX ),
					'desc'	=> '',
					'id'	=> $prefix . 'background_position',
					'type'	=> 'select',
					'options' => array (
						'top left'      => __('بالا چپ', THEME_FX),
						'top center'    => __('بالا وسط', THEME_FX),
						'top right'     => __('بالا راست', THEME_FX),
						'center left'   => __('وسط چپ', THEME_FX),
						'center center' => __('وسط وسط', THEME_FX),
						'center right'  => __('وسط راست', THEME_FX),
						'bottom left'   => __('پایین چپ', THEME_FX),
						'bottom center' => __('پایین وسط', THEME_FX),
						'bottom right'  => __('پایین راست', THEME_FX)
					)
				),
				array(
					'name' => __('پیوست پس‌زمینه', THEME_FX ),
					'desc'	=> '',
					'id'	=> $prefix . 'background_attachment',
					'type'	=> 'select',
					'options' => array (
						'scroll' => __('معمولی', THEME_FX),
						'fixed'  => __('ثابت در یک مکان', THEME_FX)
					)
				),
			)
		);
		
		$metaboxes[] = array(
			'id'		 => $prefix . 'custom_page_settings',
			'title'      => __('تنظیمات دلخواه برگه', THEME_FX),
			'pages'      => array('page'), // Post type
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'name' => __('استایل طرح‌بندی', THEME_FX ),
					'desc'	=> __('یک طرح‌بندی برای این برگه/نوشته انتخاب کنید', THEME_FX),
					'id'	=> $prefix . 'page_layout',
					'type' => 'images',
					'options' => array(
						'layout_1' => $imagepath . 'layout/a.png', 
						'layout_2' => $imagepath . 'layout/c.png', 
						'layout_3' => $imagepath . 'layout/b.png',
						'fullwidth' => $imagepath . 'layout/d.png'
					),
					'std' => 'layout_1'
				),
				array(
					'name' => __('ستون کناری دلخواه چپ', THEME_FX ),
					'desc'	=> __('یک ستون کناری برای مکان ابزارک چپ انتخاب کنید', THEME_FX),
					'id'	=> $prefix . 'sidebar_left',
					'type'	=> 'select',
					'options'	=> $sidebars,
				),
				array(
					'name' => __('ستون کناری دلخواه راست', THEME_FX ),
					'desc'	=> __('یک ستون کناری برای مکان ابزارک راست انتخاب کنید', THEME_FX),
					'id'	=> $prefix . 'sidebar_right',
					'type'	=> 'select',
					'options'	=> $sidebars,
				),
				array(
					'name' => __('پس‌زمینه دلخواه', THEME_FX ),
					'desc'	=> '',
					'id'	=> $prefix . 'custom_background',
					'type'  => 'radio',
					'options' => array (
						'none'	=> 'هیچکدام',
						'normal' => 'معمولی',
						'backstrech' => 'بک‌استرچ'
					),
					'std' => 'none'
				),
				array(
					'name' => __('تصویر پس‌زمینه', THEME_FX ),
					'desc'	=> '',
					'id'	=> $prefix . 'background_image',
					'type'	=> 'image'
				),
				array(
					'name' => __('رنگ پس‌زمینه', THEME_FX ),
					'desc'	=> '',
					'id'	=> $prefix . 'background_color',
					'type'	=> 'color'
				),
				array(
					'name' => __('تکرار پس‌زمینه', THEME_FX ),
					'desc'	=> '',
					'id'	=> $prefix . 'background_repeat',
					'type'	=> 'select',
					'options' => array (
						'no-repeat' => __('بدون تکرار', THEME_FX),
						'repeat-x'  => __('تکرار افقی', THEME_FX),
						'repeat-y'  => __('تکرار عمودی', THEME_FX),
						'repeat'    => __('تکرار همه', THEME_FX),
					)
				),
				array(
					'name' => __('مکان پس‌زمینه', THEME_FX ),
					'desc'	=> '',
					'id'	=> $prefix . 'background_position',
					'type'	=> 'select',
					'options' => array (
						'top left'      => __('بالا چپ', THEME_FX),
						'top center'    => __('بالا وسط', THEME_FX),
						'top right'     => __('بالا راست', THEME_FX),
						'center left'   => __('وسط چپ', THEME_FX),
						'center center' => __('وسط وسط', THEME_FX),
						'center right'  => __('وسط راست', THEME_FX),
						'bottom left'   => __('پایین چپ', THEME_FX),
						'bottom center' => __('پایین وسط', THEME_FX),
						'bottom right'  => __('پایین راست', THEME_FX)
					)
				),
				array(
					'name' => __('پیوست پس‌زمینه', THEME_FX ),
					'desc'	=> '',
					'id'	=> $prefix . 'background_attachment',
					'type'	=> 'select',
					'options' => array (
						'scroll' => __('معمولی', THEME_FX),
						'fixed'  => __('ثابت در یک مکان', THEME_FX)
					)
				),
			)
		);
		
		$metaboxes[] = array(
			'id'		 => $prefix . 'review_control',
			'title'      => __('کنترل نقد و بررسی', THEME_FX),
			'pages'      => array('post'), // Post type
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'name' => __('فعال کردن نقد و بررسی', THEME_FX ),
					'desc'	=> __('این قسمت را برای فعال کردن سیستم نقدر و بررسی تیک بزنید', THEME_FX),
					'id'	=> $prefix . 'enable_review',
					'type'	=> 'checkbox',
					'class' => 'trigger'
				),
				array(
					'name' => __('معیار رتبه‌گذاری', THEME_FX ),
					'desc'	=> __('<strong>برچسب</strong> : نام معیار - <strong>امتیاز</strong> : یک عدد صحیح بین 1 - 10', THEME_FX),
					'id'	=> $prefix . 'rating_criteria',
					'type'	=> 'rating_criteria'
				),
				array(
					'name' => __('نوع رتبه', THEME_FX ),
					'desc'	=> __('نوع رتبه را انتخاب کنید', THEME_FX),
					'id'	=> $prefix . 'rating_type',
					'type'	=> 'select',
					'options' => array ( 'number' => 'عدد', 'star' => 'ستاره', 'letter' => 'حروف انگلیسی', 'percent' => 'درصد')
				),
				array(
					'name' => __('مکان جعبه نقد و بررسی', THEME_FX ),
					'desc'	=> __('مکان جعبه نقد در تک‌نوشته.', THEME_FX),
					'id'	=> $prefix . 'review_box_pos',
					'type'	=> 'select',
					'options' => array(
						'left' => 'چپ',
						'right' => 'راست',
						'center' => 'وسط (تمام‌عرض)'
					),
					'std'	=> 'left'
				),
				array(
					'name' => __('عنوان جعبه نقد و بررسی', THEME_FX ),
					'desc'	=> __('عنوان جعبه نقد و بررسی در تک‌نوشته', THEME_FX),
					'id'	=> $prefix . 'review_box_title',
					'type'	=> 'text',
					'std'	=> 'نقد و بررسی'
				),
				array(
					'name' => __('برچسب امتیاز کل', THEME_FX ),
					'desc'	=> __('برچسب امتیاز کل در تک‌نوشته', THEME_FX),
					'id'	=> $prefix . 'review_box_total_score_label',
					'type'	=> 'text',
					'std'	=> 'امتیاز نهایی'
				),
			)
		);
		
		return $metaboxes;
	}

