<?php
/**
 *	FreshThemes Theme Options
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.freshthemes.net
 *	@copyright	: Copyright (c) 2012, http://www.freshthemes.net
 *	--------------------------------------------------------------------------- */
 
/*	Option name
 *	------------------------------------------------------------------- */
	function freshthemes_option_name() {
		// This gets the theme name from the stylesheet
		$themename = THEME_FX;
		$freshthemes_settings = get_option( 'freshthemes' );
		$freshthemes_settings['id'] = $themename;
		update_option( 'freshthemes', $freshthemes_settings );
	}

/*	Options array
 *	------------------------------------------------------------------- */
	function freshthemes_options() {
		$prefix = THEME_FX . '_';
		
		// On/off
		$onoff = array(
			'on' => __('فعال', THEME_FX),
			'off' => __('غیرفعال', THEME_FX)
		);
	
		// Background Defaults
		$background_defaults = array(
			'color' => '',
			'image' => '',
			'repeat' => 'repeat',
			'position' => 'top center',
			'attachment'=>'scroll' 
		);
		
		
		// Pull all the categories into an array
		$options_categories = array();
		$options_categories_obj = get_categories();
		$options_categories[''] = 'انتخاب یک دسته:';
		foreach ($options_categories_obj as $category) {
			$options_categories[$category->cat_ID] = $category->cat_name;
		}
		
		// Pull all the categories into an array for multicheck option
		$options_categories_multicheck = array();
		$options_categories_multicheck_obj = get_categories();
		foreach ($options_categories_multicheck_obj as $category) {
			$options_categories_multicheck[$category->cat_ID] = $category->cat_name;
		}
		
		// Pull all tags into an array
		$options_tags = array();
		$options_tags_obj = get_tags();
		foreach ( $options_tags_obj as $tag ) {
			$options_tags[$tag->term_id] = $tag->name;
		}
	
		// Pull all the pages into an array
		$options_pages = array();
		$options_pages_obj = get_pages('sort_column=post_parent,menu_order');
		$options_pages[''] = 'انتخاب یک برگه:';
		foreach ($options_pages_obj as $page) {
			$options_pages[$page->ID] = $page->post_title;
		}
		
		//Sharrre Social Array
		$sharrre_array = array('googleplus' => 'Google Plus','facebook' => 'Facebook','twitter' => 'Twitter','digg' => 'Digg','delicious' => 'Delicious','stumbleupon' => 'Stumbleupon','linkedin' => 'Linkedin','pinterest' => 'Pinterest');
		
		// If using image, define a directory path
		$imagepath =  THEME_DIR . '/functions/framework/images/';
		
		// WP Editor Settings
		$wp_editor_settings = array(
			'wpautop' => true, // Default
			'textarea_rows' => 8,
			'tinymce' => array( 'plugins' => 'wordpress' )
		);
	
		$options = array();

		/* General Settings 
		 * ---------------------------------------------------------- */
		
		$options[] = array(
			'name' => __('تنظیمات همگانی', THEME_FX),
			'std' => __('General Settings', THEME_FX),
			'type' => 'heading',
			'icon' => 'wrench'
		);
		
		// Branding
		
		$options[] = array(
			'name' => __('نمایش', THEME_FX),
			'std' => __('Branding', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'custom_logo',
			'name' => __('لوگوی دلخواه', THEME_FX),
			'desc' => __('یک تصویر لوگو بارگذاری یا آدرس آن را وارد کنید.', THEME_FX),
			'type' => 'upload',
			'placeholder' => __('آدرس تصویر را اینجا وارد کنید', THEME_FX),
			'std'  => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'logo_top_margin',
			'name' => __('فاصله بالایی لوگو', THEME_FX),
			'desc' => __('مقدار فاصله از بالا را برای لوگو وارد کنید.', THEME_FX),
			'type' => 'text',
			'placeholder' => __('یک مقدار در پیکسل وارد کنید. مانند 10px', THEME_FX),
			'std'  => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'custom_favicon',
			'name' => __('Favicon', THEME_FX),
			'desc' => __('یک تصویر که در نوارد آدرس مرورگر نمایش داده خواهد شد بارگذاری کنید.', THEME_FX),
			'type' => 'upload',
			'placeholder' => __('آدرس تصویر را اینجا وارد کنید', THEME_FX),
			'class' => '',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'footer_text_left',
			'name' => __('متن پانوشت راست', THEME_FX),
			'desc' => __('این در پایین سمت راست پانوشت قرار خواهد گرفت<br/>می‌توانید از برچسب‌های HTML استفاده کنید.', THEME_FX),
			'type' => 'textarea',
			'settings' => array('rows' => 5),
			'std'  => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'footer_text_right',
			'name' => __('متن پانوشت چپ', THEME_FX),
			'desc' => __('این در پایین سمت چپ پانوشت قرار خواهد گرفت<br/>می‌توانید از برچسب‌های HTML استفاده کنید.', THEME_FX),
			'type' => 'textarea',
			'settings' => array('rows' => 5),
			'std'  => 'پارسی سازی قالب  <a href="http://bigtheme.ir/">بیگ تم</a>',
			'class' => 'no-border'
		);
		
		// Integration
		
		$options[] = array(
			'name' => __('اجتماع‌ها', THEME_FX),
			'std' => __('Integrations', THEME_FX),
			'type' => 'subheading',
		);		
		
		$options[] = array(
			'name'	=> __('پروفایل‌های اجتماعی', THEME_FX),
			'desc'	=> __('هر کدام از گزینه‌های روبرو را با آدرس کامل حسبا کاربری شبکه اجتماعی خود پر کنید. سیستم فقط آیکون شبکه اجتماعی گزینه‌ای که پر شده است را نمایش خواهد داد', THEME_FX),
			'type'	=> 'info'
		);
		$options[] = array(
			'id'   => $prefix . 'social_facebook',
			'name' => __('Facebook', THEME_FX),
			'desc' => __('پیوند به حساب کاربری فیسبوک شما', THEME_FX),
			'type' => 'text',
			'placeholder' => __('آدرس را اینجا وارد کنید', THEME_FX),
			'std' => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'social_rss',
			'name' => __('RSS', THEME_FX),
			'desc' => __('پیوند به حساب فیدبرنر شما.', THEME_FX),
			'type' => 'text',
			'placeholder' => __('آدرس را اینجا وارد کنید', THEME_FX),
			'std' => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'social_twitter',
			'name' => __('Twitter', THEME_FX),
			'desc' => __('پیوند به حساب کاربری توئیتر شما.', THEME_FX),
			'type' => 'text',
			'placeholder' => __('آدرس را اینجا وارد کنید', THEME_FX),
			'std' => '',
			'class' => 'no-border'
		);
		
		$options[] = array(
			'name' => __('اجتماع وبسایت', THEME_FX),
			'desc' => '',
			'type' => 'info',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'feed_links',
			'name' => __('پیوندهای خودکار خوراک', THEME_FX),
			'desc' => __('این قسمت را برای فعال شدن افزودن خودکار پیوندهای خوراک در وبسایتتان فعال کنید <code>&lt;head&gt;</code>.', THEME_FX),
			'type' => 'checkbox',
			'std'  => 'true',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'tracking_code',
			'name' => __('کد آمارگیر', THEME_FX),
			'desc' => __('کد آمارگیر خود را اینجا قرار دهید. مانند کد آمارگیر گوگل', THEME_FX),
			'type' => 'textarea',
			'class' => 'no-border',
			'std'  => ''
		);
		
		
		/* Layout Settings 
		 * ---------------------------------------------------------- */
		
		$options[] = array(
			'name' => __('تنظیمات طرح‌بندی', THEME_FX),
			'std' => __('Layout Settings', THEME_FX),
			'type' => 'heading',
			'icon' => 'grid'
		);
		$options[] = array(
			'id'   => $prefix . 'layout_mode',
			'name'	=> __('حالت طرح‌بندی', THEME_FX),
			'desc' => __('یک نوع طرح‌بندی را انتخاب کنید، طرح‌بندی سیال (جعبه‌ای) یا طرح‌بندی ثابت (کشیده).', THEME_FX),
			'type' => 'select',
			'options' => array(
				'fluid' => 'سیال',
				'fixed' => 'ثابت', 
			),
			'std'  => 'fluid',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'layout_style',
			'name' => __('استایل طرح‌بندی', THEME_FX),
			'desc' => __('یک استایل طرح‌بندی همگانی انتخاب کنید', THEME_FX),
			'type' => 'images',
			'options' => array(
				'layout_1' => $imagepath . 'layout/a.png', 
				'layout_2' => $imagepath . 'layout/c.png', 
				'layout_3' => $imagepath . 'layout/b.png'
			),
			'std'  => 'layout_1',
			'class' => 'no-border'
		);

		/* Styling Settings 
		 * ---------------------------------------------------------- */
		 
		$options[] = array(
			'name' => __('استایل پوسته', THEME_FX),
			'std' => __('Theme Styling', THEME_FX),
			'type' => 'heading',
			'icon' => 'color'
		);
		
		// General Style
		
		$options[] = array(
			'name' => __('استایل همگانی', THEME_FX),
			'std' => __('General Style', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'body_bg',
			'name' => __('پس‌زمینه بدنه', THEME_FX),
			'desc'	=> __('پس‌زمینه بدنه خود را سفارشی‌سازی کنید', THEME_FX),
			'type' => 'background',
			'std'  => $background_defaults,
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'want_backstrech',
			'name' => __('فعال کردن پس‌زمینه بک‌استرچ', THEME_FX),
			'desc'	=> __('من می‌خواهم با استفاده از تصویر زیر پس‌زمینه خود را کشیده کنم.', THEME_FX),
			'type' => 'checkbox',
			'class' => '',
			'std'  => 'false'
		);
		$options[] = array(
			'id'   => $prefix . 'backstrech_img',
			'name'	=> __('تصویر پس‌زمینه بک‌استرچ', THEME_FX),
			'desc'	=> __('لطفا یک تصویر با اندازه بزرگ بارگذاری کنید.', THEME_FX),
			'type' => 'upload',
			'placeholder' => __('آدرس تصویر را اینجا وارد کنید', THEME_FX),
			'class' => '',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'color_scheme',
			'name' => __('ترکیب رنگ', THEME_FX),
			'desc' => __('یک رنگ برای استفاده به عنوان رنگ اصلی انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini no-border',
			'std'  => ''
		);
		
		// Typography
		$options[] = array(
			'name' => __('نوشتار', THEME_FX),
			'std' => __('Typography', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'body_font',
			'name' => __('فونت بدنه', THEME_FX),
			'desc' => __('فونت همگانی را سفارشی‌سازی کنید.', THEME_FX),
			'type' => 'typography',
			'options' => array( 'styles' => false ),
			'std'  => $typography_defaults,
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'heading_font',
			'name' => __('فونت سرتیتر', THEME_FX),
			'desc' => __('فونت سرتیتر را سفارشی‌سازی کنید.', THEME_FX),
			'type' => 'typography',
			'options' => array(  'sizes' => false, 'styles' => false ),
			'std' => array( 'color' => '#444444'),
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'menu_nav_font',
			'name' => __('فونت فهرست اصلی', THEME_FX),
			'desc' => __('فونت فهرست اصلی را سفارشی‌سازی کنید.', THEME_FX),
			'type' => 'typography',
			'options' => array( 'styles' => false ),
			'std' => array( 'size' => '18px', 'color' => '#444444'),
			'class' => 'no-border'
		);
		
		// Top Header
		$options[] = array(
			'name' => __('نوار سربرگ', THEME_FX),
			'std' => __('Header Bar', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'top_header_bg',
			'name'	=> __('رنگ پس‌زمینه', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در پس‌زمینه سربرگ انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'top_header_text_color',
			'name'	=> __('رنگ متن', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در متن سربرگ انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'top_header_link_color',
			'name'	=> __('رنگ متن پیوند', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در پیوند سربرگ انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'top_header_link_hover_color',
			'name'	=> __('رنگ شناور متن پیوند', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در پیوند شناور سربرگ انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini no-border',
			'std'  => ''
		);
		
		// Main Header
		$options[] = array(
			'name' => __('سربرگ اصلی', THEME_FX),
			'std' => __('Main Header', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'main_header_bg',
			'name'	=> __('پس‌زمینه', THEME_FX),
			'desc'	=> __('پس‌زمینه سربرگ اصلی خود را سفارشی‌سازی کنید.', THEME_FX),
			'type' => 'background',
			'std'  => $background_defaults,
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'main_header_text_color',
			'name'	=> __('رنگ متن', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در متن سربرگ اصلی انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'main_header_link_color',
			'name'	=> __('رنگ متن پیوند', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در پیوند سربرگ اصلی انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'main_header_link_hover_color',
			'name'	=> __('رنگ متن پیوند شناور', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در پیوند شناور سربرگ اصلی انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini no-border',
			'std'  => ''
		);
		
		// Primary Menu
		$options[] = array(
			'name' => __('فهرست اصلی', THEME_FX),
			'std' => __('Primary Menu', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'primary_menu_bg',
			'name'	=> __('رنگ پس‌زمینه', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در پس‌زمینه فهرست اصلی انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'primary_menu_border',
			'name'	=> __('رنگ کادر', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در کادر فهرست اصلی انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'primary_menu_indicator',
			'name'	=> __('رنگ پیوند فعال', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در رنگ/کادر پیوند فعال و شناور فهرست اصلی انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'primary_menu_submenu_bg',
			'name'	=> __('رنگ پس‌زمینه زیرمنو', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در زیرمنوی فهرست اصلی انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'primary_menu_submenu_link_color',
			'name'	=> __('رنگ پیوند زیرمنو', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در پیوند زیرمنوی فهرست اصلی انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'primary_menu_submenu_link_hover_color',
			'name'	=> __('رنگ پیوند شناور زیرمنو', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده درپیوند شناور زیرمنوی فهرست اصلی انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		
		// Newsticker
		$options[] = array(
			'name' => __('اخبار متحرک', THEME_FX),
			'std' => __('Newsticker', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'newsticker_bg',
			'name'	=> __('رنگ پس‌زمینه', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در پس‌زمینه اخبار متحرک انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'newsticker_border',
			'name'	=> __('رنگ کادر', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در کادر اخبار متحرک انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'newsticker_text_color',
			'name'	=> __('رنگ متن', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در متن اخبار متحرک انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		
		// Footer Widgets
		$options[] = array(
			'name' => __('پانوشت', THEME_FX),
			'std' => __('Footer', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'footer_widget_area_bg',
			'name'	=> __('رنگ پس‌زمینه', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در پس‌زمینه مکان ابزارک پانوشت انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'footer_widget_area_top_border',
			'name'	=> __('رنگ کادر بالا', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در کادر بالای مکان ابزارک پانوشت انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'footer_widget_border_color',
			'name'	=> __('رنگ کادر ابزارک‌ها', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در کادر ابزارک‌های مکان ابزارک پانوشت انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'footer_widget_heading_color',
			'name'	=> __('رنگ عنوان ابزارک‌ها', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در عنوان ابزارک‌های مکان ابزارک پانوشت انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'footer_widget_heading_color',
			'name'	=> __('رنگ متن ابزارک‌ها', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در متن ابزارک‌های مکان ابزارک پانوشت انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini no-border',
			'std'  => ''
		);
		
		// Footer Bottom
		$options[] = array(
			'name' => __('پایین پانوشت', THEME_FX),
			'std' => __('Footer Bottom', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'footer_bottom_bg',
			'name'	=> __('رنگ پس‌زمینه', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در پس‌زمینه پایین پانوشت انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'footer_bottom_text_color',
			'name'	=> __('رنگ متن', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در متن پایین پانوشت انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'footer_bottom_link_color',
			'name'	=> __('رنگ متن پیوند', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در پیوند پایین پانوشت انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini',
			'std'  => ''
		);
		$options[] = array(
			'id'   => $prefix . 'footer_bottom_link_hover_color',
			'name'	=> __('رنگ متن پیوند شناور', THEME_FX),
			'desc'	=> __('یک رنگ برای استفاده در پیوند شناور پایین پانوشت انتخاب کنید.', THEME_FX),
			'type' => 'color',
			'class' => 'mini no-border',
			'std'  => ''
		);
		
		// Custom CSS
		$options[] = array(
			'name' => __('CSS دلخواه', THEME_FX),
			'std' => __('Custom CSS', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'name' => __('CSS دلخواه', THEME_FX),
			'desc' => __('یک راه بسیار مناسب برای افزودن کدهای CSS دلخواه شما به فایل‌های استایل.'),
			'type' => 'info',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'custom_css',
			'name' => __('افزودن کد', THEME_FX),
			'desc' => '',
			'type' => 'textarea',
			'settings' => array('rows' => 15),
			'std'  => '',
			'class' => 'wide no-border'
		);
		
		/* Homepage
		 * ---------------------------------------------------------- */
		
		$options[] = array(
			'name' => __('صفحه‌اصلی', THEME_FX),
			'std' => __('Front Page', THEME_FX),
			'type' => 'heading',
			'icon' => 'tv'
		);
		
		// Popular Post
		$options[] = array(
			'name' => __('نوشته‌های محبوب', THEME_FX),
			'std' => __('Popular Posts', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'popular_posts',
			'name' => __('بلوک نوشته‌های محبوب', THEME_FX),
			'desc' => '',
			'type' => 'radio',
			'options' => $onoff,
			'std'  => 'off',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'popular_posts_heading',
			'name' => __('عنوان سرتیتر', THEME_FX),
			'desc' => __('عنوان را وارد کنید.', THEME_FX),
			'type' => 'text',
			'std'  => 'محبوب‌ترین مطالب',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'popular_posts_type',
			'name' => __('نوع', THEME_FX),
			'desc' => __('نوع محبوبیت را انتخاب کنید', THEME_FX),
			'type' => 'select',
			'options' => array('comment_count' => 'تعداد دیدگاه', 'views' => 'تعداد بازدید'),
			'std'  => 'comment_count',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'popular_posts_time',
			'name' => __('فیلترهای زمان', THEME_FX),
			'desc' => __('فیلتر بر اساس زمان', THEME_FX),
			'type' => 'select',
			'options' => array(
				'anytime' => 'یک گزینه را انتخاب کنید',
				'daily' => 'نمایش نوشته‌های منتشر شده در روز فعلی',
				'weekly' => 'نمایش نوشته‌های منتشر شده در هفته فعلی',
				'monthly' => 'نمایش نوشته‌های منتشر شده در ماه فعلی',
			),
			'std'  => 'anytime',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'popular_posts_num',
			'name' => __('تعداد نوشته‌ها', THEME_FX),
			'desc' => __('تعداد نوشته‌های نشان داده شونده را مشخص کنید.', THEME_FX),
			'type' => 'text',
			'std'  => '2',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'popular_posts_exclude',
			'name' => __('محروم کردن دسته‌ها', THEME_FX),
			'desc' => __('دسته‌هایی که می‌خواهید نمایش داده نشوند تیک بزنید.', THEME_FX),
			'type' => 'multicheck',
			'options' => $options_categories_multicheck,
			'class' => 'no-border'
		);
		
		// Latest Post
		$options[] = array(
			'name' => __('آخرین نوشته‌ها', THEME_FX),
			'std' => __('Latest Posts', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'latest_posts',
			'name' => __('بلوک آخرین نوشته‌ها', THEME_FX),
			'desc' => '',
			'type' => 'radio',
			'options' => $onoff,
			'std'  => 'on',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'latest_posts_title',
			'name' => __('عنوان سرتیتر', THEME_FX),
			'desc' => __('عنوان را وارد کنید.', THEME_FX),
			'type' => 'text',
			'std'  => 'آخرین مطالب',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'latest_posts_num',
			'name' => __('تعداد نوشته‌ها', THEME_FX),
			'desc' => __('تعداد نوشته‌های نشان داده شوند را مشخص کنید.', THEME_FX),
			'type' => 'text',
			'std'  => '6',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'latest_posts_exclude',
			'name' => __('محروم کردن دسته‌ها', THEME_FX),
			'desc' => __('دسته‌هایی که می‌خواهید نمایش داده نشوند تیک بزنید.', THEME_FX),
			'type' => 'multicheck',
			'options' => $options_categories_multicheck,
			'class' => 'no-border'
		);
		
		// Category Block 1
		$options[] = array(
			'name' => __('بلوک دسته 1', THEME_FX),
			'std' => __('Category Block 1', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'category_block_one',
			'name' => __('بلوک دسته 1', THEME_FX),
			'desc' => '',
			'type' => 'radio',
			'options' => $onoff,
			'std'  => 'off',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'category_block_one_left',
			'name' => __('دسته راست', THEME_FX),
			'desc' => __('یک دسته برای نمایش در سمت راست بلوک انتخاب کنید.', THEME_FX),
			'type' => 'select',
			'options' => $options_categories,
			'std'  => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'category_block_one_right',
			'name' => __('دسته چپ', THEME_FX),
			'desc' => __('یک دسته برای نمایش در سمت چپ بلوک انتخاب کنید.', THEME_FX),
			'type' => 'select',
			'options' => $options_categories,
			'std'  => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'category_block_one_num',
			'name' => __('تعداد نوشته‌ها', THEME_FX),
			'desc' => __('تعداد نوشته‌های نشان داده شونده را مشخص کنید.', THEME_FX),
			'type' => 'text',
			'std'  => '3',
			'class' => 'no-border'
		);
		
		// Category Block 2
		$options[] = array(
			'name' => __('بلوک دسته 2', THEME_FX),
			'std' => __('Category Block 2', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'category_block_two',
			'name' => __('بلوک دسته 2', THEME_FX),
			'desc' => '',
			'type' => 'radio',
			'options' => $onoff,
			'std'  => 'off',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'category_block_two_left',
			'name' => __('دسته راست', THEME_FX),
			'desc' => __('یک دسته برای نمایش در سمت راست بلوک انتخاب کنید.', THEME_FX),
			'type' => 'select',
			'options' => $options_categories,
			'std'  => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'category_block_two_right',
			'name' => __('دسته چپ', THEME_FX),
			'desc' => __('یک دسته برای نمایش در سمت چپ بلوک انتخاب کنید.', THEME_FX),
			'type' => 'select',
			'options' => $options_categories,
			'std'  => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'category_block_two_num',
			'name' => __('تعداد نوشته‌ها', THEME_FX),
			'desc' => __('تعداد نوشته‌های نشان داده شونده را مشخص کنید.', THEME_FX),
			'type' => 'text',
			'std'  => '3',
			'class' => 'no-border'
		);
		
		// Category Block 2
		$options[] = array(
			'name' => __('بلوک دسته 3', THEME_FX),
			'std' => __('Category Block 3', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'category_block_three',
			'name' => __('بلوک دسته 3', THEME_FX),
			'desc' => '',
			'type' => 'radio',
			'options' => $onoff,
			'std'  => 'off',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'category_block_three_left',
			'name' => __('دسته راست', THEME_FX),
			'desc' => __('یک دسته برای نمایش در سمت راست بلوک انتخاب کنید.', THEME_FX),
			'type' => 'select',
			'options' => $options_categories,
			'std'  => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'category_block_three_right',
			'name' => __('دسته چپ', THEME_FX),
			'desc' => __('یک دسته برای نمایش در سمت چپ بلوک انتخاب کنید.', THEME_FX),
			'type' => 'select',
			'options' => $options_categories,
			'std'  => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'category_block_three_num',
			'name' => __('تعداد نوشته‌ها', THEME_FX),
			'desc' => __('تعداد نوشته‌های نشان داده شونده را مشخص کنید.', THEME_FX),
			'type' => 'text',
			'std'  => '3',
			'class' => 'no-border'
		);
		
		/* Content Settings
		 * ---------------------------------------------------------- */
		
		$options[] = array(
			'name' => __('تنظیمات محتوا', THEME_FX),
			'std' => __('Content Settings', THEME_FX),
			'type' => 'heading',
			'icon' => 'page'
		);
		
		// Post Navigation
		$options[] = array(
			'name' => __('تعویض‌کننده نوشته', THEME_FX),
			'std' => __('Post Navigation', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'post_nav',
			'name' => __('تعویض‌کننده نوشته', THEME_FX),
			'desc' => __('فعال/غیر فعال کردن تعویض‌کننده نوشته (نوشته بعدی و قبلی در برگه تک‌نوشته).', THEME_FX),
			'type' => 'radio',
			'options' => $onoff,
			'std'  => 'on',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'next_post_label',
			'name' => __('برچسب نوشته بعدی', THEME_FX),
			'desc' => __('برچسب پیوند نوشته بعدی را وارد کنید.', THEME_FX),
			'type' => 'text',
			'std'  => 'نوشته بعدی',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'prev_post_label',
			'name' => __('برچسب نوشته قبلی', THEME_FX),
			'desc' => __('برچسب پیوند نوشته قبلی را وارد کنید.', THEME_FX),
			'type' => 'text',
			'std'  => 'نوشته قبلی',
			'class' => 'no-border'
		);
		
		// Related Posts
		$options[] = array(
			'name' => __('نوشته‌های مرتبط', THEME_FX),
			'std' => __('Related Posts', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'related_posts',
			'name' => __('نوشته‌های مرتبط', THEME_FX),
			'desc' => __('فعال/غیر فعال کردن نوشته‌های مرتبط در برگه تک‌نوشته.', THEME_FX),
			'type' => 'radio',
			'options' => $onoff,
			'std'  => 'on',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'related_posts_title',
			'name' => __('عنوان سرتیتر', THEME_FX),
			'desc' => __('عنوان نوشته‌های مرتبط را وارد کنید.', THEME_FX),
			'type' => 'text',
			'std'  => 'نوشته‌های مرتبط',
			'class' => 'no-border'
		);
		
		// Author Box
		$options[] = array(
			'name' => __('جعبه نویسنده', THEME_FX),
			'std' => __('Author Box', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'author_box',
			'name' => __('جعبه نویسنده', THEME_FX),
			'desc' => __('فعال/غیر فعال کردن جعبه نویسنده در برگه تک‌نوشته.', THEME_FX),
			'type' => 'radio',
			'options' => $onoff,
			'std'  => 'on',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'author_box_title',
			'name' => __('عنوان سرتیتر', THEME_FX),
			'desc' => __('عنوان جعبه نویسنده را وارد کنید.', THEME_FX),
			'type' => 'text',
			'std'  => 'درباره نویسنده',
			'class' => 'no-border'
		);
		
		// Social Sharing
		$options[] = array(
			'name' => __('اشتراک‌گذاری', THEME_FX),
			'std' => __('Social Sharing', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'share_box',
			'name' => __('اشتراک‌گذاری در شبکه‌های اجتماعی', THEME_FX),
			'desc' => __('فعال/غیر فعال کردن اشتراک‌گذاری در برگه تک‌نوشته.', THEME_FX),
			'type' => 'radio',
			'options' => $onoff,
			'std'  => 'on',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'share_box_label',
			'name' => __('برچسب اشتراک‌گذاری', THEME_FX),
			'desc' => __('برچسب اشتراک‌گذاری در شبکه‌های اجتماعی را وارد کنید.', THEME_FX),
			'type' => 'text',
			'std' => 'این نوشته را به اشتراک بگذارید',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'sharrre',
			'name' => __('دکمه‌های اجتماعی', THEME_FX),
			'desc' => __('شبکه‌های اجتماعی که مایلید در اشتراک‌گذاری در برگه تک‌نوشته نمایش داده شوند انتخاب کنید.', THEME_FX),
			'type' => 'multicheck',
			'options' => $sharrre_array,
			'std' => array('googleplus' => '1', 'facebook' => '1', 'twitter' => '1', 'pinterest' => '1'),
			'class' => 'no-border'
		);

		/* Featured Posts
		 * ---------------------------------------------------------- */
		
		$options[] = array(
			'name' => __('نوشته‌های ویژه', THEME_FX),
			'std' => __('Featured Posts', THEME_FX),
			'type' => 'heading',
			'icon' => 'heart'
		);
		
		// Slider Content
		$options[] = array(
			'name' => __('محتوای اسلایدر', THEME_FX),
			'std' => __('Slider Content', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'featured_posts',
			'name' => __('اسلایدر نوشته‌های ویژه', THEME_FX),
			'desc' => '',
			'type' => 'radio',
			'options' => $onoff,
			'std'  => 'off',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'featured_posts_label',
			'name' => __('عنوان سرتیتر اسلایدر', THEME_FX),
			'desc' => __('عنوان اسلایدر را وارد کنید.', THEME_FX),
			'type' => 'text',
			'std'  => 'Featured Stories',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'featured_posts_num',
			'name' => __('تعداد نوشته', THEME_FX),
			'desc' => __('تعداد نوشته‌های نشان داده شونده را وارد کنید.', THEME_FX),
			'type' => 'text',
			'std'  => '5',
			'class' => 'no-border'
		);
		
		// Slider Settings
		$options[] = array(
			'name' => __('تنظیمات اسلایدر', THEME_FX),
			'std' => __('Slider Settings', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'direction_nav',
			'name' => __('تعویض‌کننده‌', THEME_FX),
			'desc' => __('فعال/غیر فعال کردن تعویض‌کننده‌ها (بعدی و قبلی).', THEME_FX),
			'type' => 'radio',
			'options' => array("true" => "روشن", "false" => "خاموش"),
			'std'  => 'true',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'control_nav',
			'name' => __('تعویض ‌کننده برگه‌ای', THEME_FX),
			'desc' => __('فعال/ غیر فعال کردن تعویض‌کننده برگه‌ای.', THEME_FX),
			'type' => 'radio',
			'options' => array("true" => "روشن", "false" => "خاموش"),
			'std'  => 'true',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'auto_slide',
			'name' => __('اسلاید خودکار', THEME_FX),
			'desc' => __('فعال/غیر فعال کردن اسلایدر خودکار هنگام بارگذاری برگه.', THEME_FX),
			'type' => 'radio',
			'options' => array("true" => "روشن", "false" => "خاموش"),
			'std'  => 'true',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'slide_random',
			'name' => __('تصادفی‌سازی', THEME_FX),
			'desc' => __('تصادفی کردن ترتیب اسلاید؟.', THEME_FX),
			'type' => 'radio',
			'options' => array("true" => "روشن", "false" => "خاموش"),
			'std'  => 'false',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'slide_pause_on_hover',
			'name' => __('توقف هنگام نشانه‌رفتن', THEME_FX),
			'desc' => __('توقف کردن اسلایدر هنگامی که نشانه‌گر موس روی آن قرار می‌گیرد؟.', THEME_FX),
			'type' => 'radio',
			'options' => array("true" => "روشن", "false" => "خاموش"),
			'std'  => 'false',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'sliding_type',
			'name' => __('نوع تعویض اسلاید', THEME_FX),
			'desc' => __('نوع انیمیشن اسلایدر خود را انتخاب کنید. "محو شدن" یا "اسلاید"', THEME_FX),
			'type' => 'select',
			'options' => array("fade" => "محو شدن", "slide" => "اسلاید"),
			'std'  => 'fade',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'sliding_direction',
			'name' => __('جهت اسلاید', THEME_FX),
			'desc' => __('جهت حرکت اسلاید را مشخص کنید', THEME_FX),
			'type' => 'select',
			'options' => array("horizontal" => "افقی", "vertical" => "عمودی"),
			'std'  => 'horizontal',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'start_slide',
			'name' => __('شروع اسلاید', THEME_FX),
			'desc' => __('اسلایدی که اسلایدر باید با آن شروع شود (مقدار شروع : 0).', THEME_FX),
			'type' => 'text',
			'std'  => '0',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'slideshow_speed',
			'name' => __('سرعت اسلایدشو', THEME_FX),
			'desc' => __('سرعت اسلایدشو را در میلی‌ثانیه وارد کنید.', THEME_FX),
			'type' => 'text',
			'std'  => '7000',
			'class' => 'mini'
		);
		$options[] = array(
			'id'   => $prefix . 'animation_speed',
			'name' => __('سرعت انیمیشن', THEME_FX),
			'desc' => __('سرعت انیمیشن را در میلی‌ثانیه وارد کنید.', THEME_FX),
			'type' => 'text',
			'std'  => '600',
			'class' => 'mini no-border'
		);
		
		// Newsticker
		$options[] = array(
			'name' => __('محتوای اخبار متحرک', THEME_FX),
			'std' => __('Newsticker Content', THEME_FX),
			'type' => 'subheading',
		);
		$options[] = array(
			'id'   => $prefix . 'newsticker',
			'name' => __('اخبار متحرک', THEME_FX),
			'desc' => '',
			'type' => 'radio',
			'options' => $onoff,
			'std'  => 'off',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'newsticker_label',
			'name' => __('برچسب اخبار متحرک', THEME_FX),
			'desc' => __('برچسب متن اخبار متحرک را وارد کنید.', THEME_FX),
			'type' => 'text',
			'std'  => 'اخبار داغ :',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'newsticker_tags',
			'name' => __('فیلتر برچسب‌ها', THEME_FX),
			'desc' => __('شناسه یا نامک برچسب‌ها را وارد کنید. (با کامای انگلیسی جدا شوند).', THEME_FX),
			'type' => 'text',
			'std'  => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'newsticker_time',
			'name' => __('فیلتر زمان', THEME_FX),
			'desc' => __('فیلتر بر اساس زمان', THEME_FX),
			'type' => 'select',
			'options' => array(
				'anytime' => 'یک گزینه را انتخاب کنید',
				'daily' => 'نمایش نوشته‌های منتشر شده در روز فعلی',
				'weekly' => 'نمایش نوشته‌های منتشر شده در هفته فعلی',
				'monthly' => 'نمایش نوشته‌های منتشر شده در ماه فعلی',
			),
			'std'  => 'anytime',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'newsticker_num',
			'name' => __('تعداد نوشته', THEME_FX),
			'desc' => __('تعداد نوشته‌های نشان داده شونده در اخبار متحرک را وارد کنید، "-1" را برای نمایش همه نوشته‌ها وارد کنید.', THEME_FX),
			'type' => 'text',
			'std'  => '-1',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'newsticker_exclude',
			'name' => __('محروم کردن دسته‌ها', THEME_FX),
			'desc' => __('دسته‌هایی که می‌خواهید نمایش داده نشوند تیک بزنید.', THEME_FX),
			'type' => 'multicheck',
			'options' => $options_categories_multicheck,
			'class' => 'no-border'
		);
		
		/* Advertisement
		 * ---------------------------------------------------------- */
		
		$options[] = array(
			'name' => __('تبلیغات', THEME_FX),
			'std' => __('Advertisement', THEME_FX),
			'type' => 'heading',
			'icon' => 'money'
		);
		$options[] = array(
			'id'   => $prefix . 'top_banner',
			'name' => __('بنر بالا', THEME_FX),
			'desc' => '',
			'type' => 'radio',
			'options' => $onoff,
			'std'  => 'off',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'top_banner_img',
			'name' => __('تصویر بنر', THEME_FX),
			'desc' => __('یک تصویر 728 در 90 را بارگذاری یا آدرس آن را وارد کنید.', THEME_FX),
			'type' => 'upload',
			'placeholder' => __('آدرس تصویر را اینجا وارد کنید', THEME_FX),
			'std'  => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'top_banner_url',
			'name' => __('آدرس مقصد', THEME_FX),
			'desc' => __('آدرس مقصد را وارد کنید.', THEME_FX),
			'type' => 'text',
			'placeholder' => __('آدرس مقصد را اینجا وارد کنید', THEME_FX),
			'std'  => '',
			'class' => ''
		);
		$options[] = array(
			'id'   => $prefix . 'top_banner_link_target',
			'name' => __('هدف پیوند', THEME_FX),
			'desc' => __('باز کردن پیوند مقصد در تب جدید؟', THEME_FX),
			'type' => 'checkbox',
			'std'  => 'false',
			'class' => 'no-border'
		);

		/* Social Profiles 
		 * ---------------------------------------------------------- */

		/* Extra Options
		 * ---------------------------------------------------------- */
		
		/*$options[] = array(
			'name' => __('Extra Options', THEME_FX),
			'type' => 'heading',
			'icon' => 'heart'
		);
		$options[] = array(
			'id'   => $prefix . 'wp_editor',
			'name' => __('Text Editor', THEME_FX),
			'desc' => sprintf( __( 'You can also pass settings to the editor.  Read more about wp_editor in <a href="%1$s" target="_blank">the WordPress codex</a>', THEME_FX ), 'http://codex.wordpress.org/Function_Reference/wp_editor' ),
			'type' => 'editor',
			'settings' => $wp_editor_settings,
			'class' => ''
		);*/
		
		
		return $options;
	
	}