<?php
/**
 *	FreshThemes Recent Posts
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.freshthemes.net
 *	@copyright	: Copyright (c) 2012, http://www.freshthemes.net
 *	--------------------------------------------------------------------------- */
 
/*	Register Widget
 *	---------------------------------------- */
	add_action( 'widgets_init', 'register_ft_advertisement_widget' );

	function register_ft_advertisement_widget() {
		register_widget( 'ft_advertisement_widget' );
	}
 
/*	Widget Class
 *	---------------------------------------- */ 
	class ft_advertisement_widget extends WP_Widget {
	
		/* Constructor */
		function ft_advertisement_widget() {
			$widget_ops = array( 'classname' => 'advertisement-widget', 'description' => __('یک ابزارک برای نمایش تبلیغات (200 در 200).', THEME_FX) );
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'ft-advertisement-widget' );
			$this->WP_Widget( 'ft-advertisement-widget', THEME_NAME . ' تبلیغات', $widget_ops, $control_ops );
		}
		
		/* Widget display */
		function widget( $args, $instance ) {
			extract( $args );
			$title = apply_filters('widget_title', $instance['title'] );
			$url = $instance['url'];
			$img = $instance['img'];
			$alt_title = $instance['alt_title'];
			$blank = $instance['blank'];
			
			echo $before_widget . "\n";
			
			if ( $title )
			echo $before_title . $title . $after_title . "\n"; ?> 
			
			<div class="fresh-ad">
				<a href="<?php echo $url; ?>" title="<?php echo $alt_title; ?>"><img src="<?php echo $img; ?>" alt="<?php echo $alt_title; ?>" /></a>
			</div>
			
		<?php echo $after_widget . "\n\n";
		}
		
		/* Update widget settings */
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] = strip_tags( $new_instance['title'] );
			$instance['url'] = $new_instance['url'];
			$instance['img'] = $new_instance['img'];
			$instance['alt_title'] = $new_instance['alt_title'];
			$instance['blank'] = ( isset( $new_instance['blank'] ) ? 1 : 0 );
			
			return $instance;
		}
		
		/* Widget form */
		function form( $instance ) {
			
			$defaults = array( 
				'title' => '',
				'url'   => '',
				'img'   => '',
				'alt_title'   => '',
				'blank'   => true,
			);
			
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('عنوان:', THEME_FX ) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
			</p>
            
			<p>
				<label for="<?php echo $this->get_field_id( 'url' ); ?>"><?php _e('آدرس پیوند:', THEME_FX ) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'url' ); ?>" name="<?php echo $this->get_field_name( 'url' ); ?>" value="<?php echo $instance['url']; ?>" />
			</p>
            
			<p>
				<label for="<?php echo $this->get_field_id( 'img' ); ?>"><?php _e('آدرس تصویر:', THEME_FX ) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'img' ); ?>" name="<?php echo $this->get_field_name( 'img' ); ?>" value="<?php echo $instance['img']; ?>" />
			</p>
            
			<p>
				<label for="<?php echo $this->get_field_id( 'alt_title' ); ?>"><?php _e('عنوان پیوند و متن اضافی:', THEME_FX ) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'alt_title' ); ?>" name="<?php echo $this->get_field_name( 'alt_title' ); ?>" value="<?php echo $instance['alt_title']; ?>" />
			</p>
            
            <p>
				<label for="<?php echo $this->get_field_id( 'blank' ); ?>"><?php _e('باز شدن در پنجره جدید', THEME_FX ) ?></label>
				<input class="checkbox" type="checkbox" <?php checked( $instance['blank'], true ); ?> id="<?php echo $this->get_field_id( 'blank' ); ?>" name="<?php echo $this->get_field_name( 'blank' ); ?>" /> 
			</p>
            
			<?php 
		}
	}