<?php
/**
 *	FreshThemes Embed Video Widget
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.freshthemes.net
 *	@copyright	: Copyright (c) 2012, http://www.freshthemes.net
 *	--------------------------------------------------------------------------- */
 
/*	Register Widget
 *	---------------------------------------- */
	add_action( 'widgets_init', 'register_ft_embed_video_widget' );

	function register_ft_embed_video_widget() {
		register_widget( 'ft_embed_video_widget' );
	}
 
/*	Widget Class
 *	---------------------------------------- */ 
	class ft_embed_video_widget extends WP_Widget {
		
		/* Constructor */
		function ft_embed_video_widget() {
			$widget_ops = array( 'classname' => 'embed-video', 'description' => __('یک ابزارک برای قرار دادن ویدئو.', THEME_FX) );
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'ft-embed-video-widget' );
			$this->WP_Widget( 'ft-embed-video-widget', THEME_NAME . ' گذاشتن ویدئو', $widget_ops, $control_ops );
		}
		
		/* Widget display */
		function widget( $args, $instance ) {
			extract( $args );

			$title = apply_filters('widget_title', $instance['title'] );
			$embed = $instance['embed'];
			$desc = $instance['desc'];
		
			echo $before_widget  . "\n";
			if ( $title )
			echo $before_title . $title . $after_title  . "\n"; 
			
			if( $embed ) : ?>
			<div class="video-container">
        	<?php echo stripslashes($embed); ?>
			</div>
            <p>
            <?php echo stripslashes($desc); ?>
            </p>
			<?php endif;
			
			echo $after_widget  . "\n\n" ;
		}
		
		/* Update widget settings */
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title']	= strip_tags( $new_instance['title'] );
			$instance['embed']	= $new_instance['embed'];
			$instance['desc']	= $new_instance['desc'];
			
			return $instance;
		}
		
		/* Widget form */
		function form( $instance ) {
			
			$defaults = array( 
				'title' => '',
				'embed' => '',
				'desc' => ''
			);
			
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('عنوان:', THEME_FX) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
			</p>
            
            <p>
				<label for="<?php echo $this->get_field_id( 'embed' ); ?>"><?php _e('کد قرار دادن:', THEME_FX) ?></label>
				<textarea style="height:100px;" class="widefat" id="<?php echo $this->get_field_id( 'embed' ); ?>" name="<?php echo $this->get_field_name( 'embed' ); ?>"><?php echo  $instance['embed']; ?></textarea>
			</p>
            
            <p>
				<label for="<?php echo $this->get_field_id( 'desc' ); ?>"><?php _e('توضیح کوتاه:', THEME_FX) ?></label>
				<textarea style="height:100px;" class="widefat" id="<?php echo $this->get_field_id( 'desc' ); ?>" name="<?php echo $this->get_field_name( 'desc' ); ?>"><?php echo  $instance['desc']; ?></textarea>
			</p>
			
			<?php 
		}
		
	}
 
?>