<?php
/**
 *	FreshThemes Facebook Likebox Widget
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.freshthemes.net
 *	@copyright	: Copyright (c) 2012, http://www.freshthemes.net
 *	--------------------------------------------------------------------------- */
 
/*	Register Widget
 *	---------------------------------------- */
	add_action( 'widgets_init', 'register_ft_facebook_likebox' );

	function register_ft_facebook_likebox() {
		register_widget( 'ft_facebook_likebox' );
	}
 
/*	Widget Class
 *	---------------------------------------- */ 
	class ft_facebook_likebox extends WP_Widget {
		
		/* Constructor */
		function ft_facebook_likebox() {
			$widget_ops = array( 'classname' => 'facebook-likebox-widget', 'description' => __('یک ابزارک برای نمایش جعبه لایک فیسبوک.', THEME_FX) );
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'ft-facebook-likebox-widget' );
			$this->WP_Widget( 'ft-facebook-likebox-widget', THEME_NAME . ' لایک‌باکس فیسبوک', $widget_ops, $control_ops );
		}
		
		/* Widget display */
		function widget( $args, $instance ) {
			extract( $args );

			$title = apply_filters('widget_title', $instance['title'] );
			$id = $instance['id'];
			$height = $instance['height'];
		
			echo $before_widget . "\n";
			if ( $title )
			echo $before_title . $title . $after_title . "\n"; 
		
			echo '<div class="facebook-likebox">' . "\n";
			if( $id )
			echo '<iframe src="http://www.facebook.com/plugins/likebox.php?href=http%3A%2F%2Fwww.facebook.com%2F'. $id .'&amp;width=0&amp;height='. $height .'&amp;colorscheme=light&amp;show_faces=true&amp;border_color=%23eeeeee&amp;stream=false&amp;header=false" scrolling="no" frameborder="0" style="border:none; background:#fff; overflow:hidden; width:100%; height:'. $height .'px" allowTransparency="true"></iframe>' . "\n";
			echo '</div>' . "\n";  	
			
			echo '<style type="text/css">.facebook-likebox iframe{width:99.99%;}</style>';
			echo $after_widget . "\n\n";
		}
		
		/* Update widget settings */
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] = strip_tags( $new_instance['title'] );
			$instance['id'] = strip_tags( $new_instance['id']);
			$instance['height'] = strip_tags( $new_instance['height']);
			return $instance;
		}
		
		/* Widget form */
		function form( $instance ) {
			
			$defaults = array( 
				'title' => '',
				'id' => '',
				'height' => '258'
			);
			
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('عنوان:', THEME_FX) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
			</p>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'id' ); ?>"><?php _e('شناسه فیسبوک:', THEME_FX) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'id' ); ?>" name="<?php echo $this->get_field_name( 'id' ); ?>" value="<?php echo $instance['id']; ?>" />
			</p>
            
			<p>
				<label for="<?php echo $this->get_field_id( 'height' ); ?>"><?php _e('ارتفاع:', THEME_FX) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'height' ); ?>" name="<?php echo $this->get_field_name( 'height' ); ?>" value="<?php echo $instance['height']; ?>" />
			</p>
			
			<?php 
		}
		
	}
 
?>