<?php
/**
 *	FreshThemes Tweets Widget
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.freshthemes.net
 *	@copyright	: Copyright (c) 2012, http://www.freshthemes.net
 *	--------------------------------------------------------------------------- */
 
/*	Register Widget
 *	---------------------------------------- */
	add_action( 'widgets_init', 'register_ft_tweet_widget' );

	function register_ft_tweet_widget() {
		register_widget( 'ft_tweet_widget' );
	}
 
/*	Widget Class
 *	---------------------------------------- */ 
	class ft_tweet_widget extends WP_Widget {
		
		/* Constructor */
		function ft_tweet_widget() {
			$widget_ops = array( 'classname' => 'tweet-widget', 'description' => __('یک ابزارک برای نمایش آخرین توئیت‌هاش شما.', THEME_FX) );
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'ft-tweet-widget' );
			$this->WP_Widget( 'ft-tweet-widget', THEME_NAME . ' توئیت‌ها', $widget_ops, $control_ops );
		}
		
		/* Widget display */
		function widget( $args, $instance ) {
			extract( $args );

			$title = apply_filters('widget_title', $instance['title'] );
			$tweet_id = $instance['tweet_id'];
			$tweet_count = $instance['tweet_count'];
		
			echo $before_widget  . "\n";
			if ( $title )
			echo $before_title . $title . $after_title  . "\n"; 
		
			if ( $tweet_id )
			echo '<div class="tweet tweet_'.$tweet_id.'"> </div>' . "\n"; ?>
			<script type="text/javascript">
			//<![CDATA[
			jQuery(document).ready(function($){
				$('.tweet_<?php echo $tweet_id; ?>').tweet({
					username:'<?php echo $tweet_id; ?>',
					join_text:'auto',
					count:'<?php echo $tweet_count; ?>',
					template: '{text}{time}',
					auto_join_text_reply: null,
					auto_join_text_default: null, 
					auto_join_text_ed: null,
					auto_join_text_ing: null,
					auto_join_text_reply: null,
					auto_join_text_url: null, 
					loading_text: 'loading tweets...'
				})
			});
			//]]>
			</script>
			<?php
			echo $after_widget  . "\n\n" ;
		}
		
		/* Update widget settings */
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] 		= strip_tags( $new_instance['title'] );
			$instance['tweet_id']	= strip_tags( $new_instance['tweet_id'] );
			$instance['tweet_count'] = $new_instance['tweet_count'];
			
			return $instance;
		}
		
		/* Widget form */
		function form( $instance ) {
			
			$defaults = array( 
				'title' => 'تازه‌ترین توئیت‌ها',
				'tweet_id' => '',
				'tweet_count' => '2'
			);
			
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('عنوان:', THEME_FX) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
			</p>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'tweet_id' ); ?>"><?php _e('شناسه توئیتر:', THEME_FX) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'tweet_id' ); ?>" name="<?php echo $this->get_field_name( 'tweet_id' ); ?>" value="<?php echo $instance['tweet_id']; ?>" />
			</p>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'tweet_count' ); ?>"><?php _e('تعداد توئیت‌ها:', THEME_FX) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'tweet_count' ); ?>" name="<?php echo $this->get_field_name( 'tweet_count' ); ?>" value="<?php echo $instance['tweet_count']; ?>" />
			</p>
			
			<?php 
		}
		
	}
 
?>