<!doctype html>
<!--[if IE 6]><html id="ie6" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 7]><html id="ie7" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 8]><html id="ie8" <?php language_attributes(); ?>><![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="initial-scale=1,user-scalable=no,maximum-scale=1,width=device-width">
<title><?php
	global $page, $paged;
	
	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'برگه %s', THEME_FX ), max( $paged, $page ) );

	?></title>
    
<!--[if lt IE 9]>
<script src="<?php echo THEME_DIR; ?>/javascripts/html5.js" type="text/javascript"></script>
<![endif]-->

<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<div id="wrapper" class="<?php echo ft_get_option('layout_mode'); ?> clearfix">

    <div id="header-bar" class="clearfix">
        <div class="container">
            <?php if ( has_nav_menu( 'top_menu' ) ) : 
                wp_nav_menu( array(
                    'container' => 'nav', 
                    'container_class' => 'two-third', 
                    'menu_class' => 'sf-menu', 
                    'menu_id' => 'top-menu', 
                    'theme_location' => 'top_menu',
                    'depth' => 1
                    )
                );
                else : // default fallback menu. ?>
            
                <nav class="two-third">
                    <ul id="top-menu" class="sf-menu">
                    	<li><a href="<?php echo home_url(); ?>/wp-admin/nav-menus.php"><?php _e('پیکربندی', THEME_FX); ?></a></li>
                    </ul>
                </nav>
            <?php endif; ?>
            
            <div class="one-third last">
                <?php echo freshthemes_social_links(); ?>
            </div>
        </div>
    </div>
    
    <header id="main-header" class="clearfix">
        <div class="container">
            <div class="one-half">
                <?php if ( !ft_get_option('custom_logo') ) : // if logo display as plain text. ?>
                <hgroup>
                    <h1 id="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                    <h2 id="site-description"><?php bloginfo( 'description' ); ?></h2>
                </hgroup>
                <?php else : ?>
                <h1 id="logo"><a href="<?php echo home_url(); ?>"><img src="<?php echo ft_get_option('custom_logo'); ?>" alt="<?php bloginfo('name'); ?>" /></a></h1>
                <?php endif; ?>
            </div>
            
            <?php if (ft_get_option('top_banner') == 'on') : ?>
            <div id="top-banner" class="one-half last align-right">
                <a href="<?php echo ft_get_option('top_banner_url'); ?>" target="<?php echo ft_get_option('top_banner_link_target'); ?>" title="<?php echo ft_get_option('top_banner_title_alt'); ?>"><img src="<?php echo ft_get_option('top_banner_img'); ?>" alt="<?php echo ft_get_option('top_banner_title_alt'); ?>" /></a>
            </div>
            <?php endif; ?>
    	</div>
    </header>
    
    <div id="primary-bar" class="clearfix">
        <div class="container">
		<?php if ( has_nav_menu( 'primary_menu' ) ) : ?>
			<?php wp_nav_menu( array(
				'container' => 'nav', 
				'container_class' => '', 
				'menu_class' => 'sf-menu', 
				'menu_id' => 'primary-menu', 
				'theme_location' => 'primary_menu'
				)
			); 
			
			else : // default fallback menu. ?>
        	<nav>
                <ul id="primary-menu" class="sf-menu">
                    <li class="active"><a href="<?php echo home_url(); ?>"><?php _e('خانه', THEME_FX); ?></a></li>
                    <li><a href="<?php echo home_url(); ?>/wp-admin/nav-menus.php"><?php _e('پیکربندی', THEME_FX); ?></a></li>
                </ul>
            </nav>
        <?php endif; ?>
        </div>
    </div>
    
    <?php if( ft_get_option('newsticker') == 'on' ) : ?>
    <div id="secondary-bar" class="clearfix">
        <div class="container">
    		<?php get_template_part('includes/module', 'newsticker'); ?>
        </div>
    </div>
    <?php endif; ?>
    
    <div id="main-wrapper" class="clearfix">
        <div class="container">