<?php

/* Define the options of newsticker */
$newsticker_label = ft_get_option('newsticker_label');
$newsticker_post_number = ft_get_option('newsticker_num');
$newsticker_time = ft_get_option('newsticker_time');
$newsticker_label = ft_get_option('newsticker_label');
$newsticker_tags = ft_get_option('newsticker_tags');
$newsticker_exclude = ft_get_option('newsticker_exclude');

if($newsticker_tags):
$tag_query = '&tag='.$newsticker_tags;
else :
$tag_query = '';
endif;

/* Get selected category to excluded in the query */
$exclude_categories = array();
if($newsticker_exclude) :
foreach ( $newsticker_exclude as $key => $val ) {
	if (!$val == 0) $exclude_categories[] = '-' .$key;
}
endif;

/* Returning a category ID's separated by commas */
$exclude_categories = implode(",", $exclude_categories);
$exclude_categories_query = '';
if($exclude_categories != '') $exclude_categories_query = '&cat='.$exclude_categories;

/* The time parameter */
$time_param = '';
switch($newsticker_time) {
	
	case 'daily' :
		$today = getdate();
		$time_param = '&year=' . $today["year"] . '&monthnum=' . $today["mon"] . '&day=' . $today["mday"];
		break;
		
	case 'weekly' :
		$week = date('W');
		$year = date('Y');

		$time_param = '&year=' . $year . '&w=' . $week;
		break;
		
	case 'monthly' :
		$today = getdate();
		$time_param = '&monthnum=' . $today["mon"];
		break;
	
	default :
		$time_param = '';
		break;
}

/* The newsticker query */
$newsticker_query = new WP_Query('post_type=post&posts_per_page='.$newsticker_post_number . $tag_query . $exclude_categories_query . $time_param);

/* Loop */
if ( $newsticker_query->have_posts() ) : 
?>

<div id="news-ticker" class="clearfix">
    <span class="label"><?php echo $newsticker_label; ?></span>
    
    <div class="ticker-container">
        <div class="ticker-container-mask">
            <ul id="ticker">
 			<?php while ( $newsticker_query->have_posts() ) : $newsticker_query->the_post(); ?>
                <li><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( '%s',  THEME_FX ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></li>
             <?php endwhile; ?>
            </ul>
        </div>
        <div class="ticker-overlay"></div>
    </div>
</div>

<?php endif; wp_reset_postdata(); ?>


