<?php
$post_number = ft_get_option('popular_posts_num');
$popular_type = ft_get_option('popular_posts_type');
$popular_posts_heading = ft_get_option('popular_posts_heading');
$popular_posts_time = ft_get_option('popular_posts_time');

$exclude_categories_option = ft_get_option('popular_posts_exclude');
$exclude_categories = array();
foreach ( $exclude_categories_option as $key => $val ) {
	if (!$val == 0) $exclude_categories[] = '-'.$key;
}
$exclude_categories = implode(",", $exclude_categories);

/* The time parameter */
$time_param = '';
switch($popular_posts_time) {
	
	case 'daily' :
		$today = getdate();
		$time_param = '&year=' . $today["year"] . '&monthnum=' . $today["mon"] . '&day=' . $today["mday"];
		break;
		
	case 'weekly' :
		$week = date('W');
		$year = date('Y');

		$time_param = '&year=' . $year . '&w=' . $week;
		break;
		
	case 'monthly' :
		$today = getdate();
		$time_param = '&monthnum=' . $today["mon"];
		break;
	
	default :
		$time_param = '';
		break;
}

$last_row = $post_number - 2;
$i = 0;

if( $popular_type == 'views') :
$popular_query = new WP_Query( 'post_type=post&posts_per_page='.$post_number.'&cat='.$exclude_categories.'&v_sortby=views' . $time_param );
else :
$popular_query = new WP_Query( 'post_type=post&posts_per_page='.$post_number.'&cat='.$exclude_categories.'&orderby=comment_count' . $time_param );
endif;

if ( $popular_query->have_posts() ) : 
?>

<section class="row clearfix">

	<h3 class="heading"><?php echo $popular_posts_heading; ?></h3>
 
 	<?php while ( $popular_query->have_posts() ) : $popular_query->the_post(); $i++; ?>
    <div class="post-box one-half <?php if($i % 2 == 0 ) echo 'last '; if($i > $last_row) echo 'last-row'; ?>">
        <?php echo freshthemes_print_loop(); ?>
    </div>
    <?php echo( $i % 2 == 0 ? '<div class="clear"></div>' : '' ); ?>
    <?php endwhile;  ?>
     
</section>
<?php endif; wp_reset_postdata(); ?>