<?php get_header(); ?>
	
	<?php
	$layout_style = ft_get_option('layout_style'); 
	if( get_post_meta( $post->ID, THEME_FX . 'post_layout', true))
	$layout_style = get_post_meta( $post->ID, THEME_FX . 'post_layout', true); 
	?>
    
    <div id="<?php echo $layout_style; ?>" class="clearfix">
        <div id="primary" class="three-fourth clearfix">
            <section id="content" class="clearfix" role="main">
			<?php if ( have_posts() ) : ?>	
                <?php while ( have_posts() ) : the_post(); ?>
                <article <?php post_class('single-entry clearfix'); ?> id="post-<?php echo $post->ID; ?>">
                    
                    <header class="entry-header clearfix">
                        <div class="entry-cats"><?php the_category( '، ', '', $post->ID ); ?></div>
                        <h1 class="entry-title"><?php the_title(); ?></h1>
                        <div class="entry-meta clearfix"><?php _e('نوشته شده در', THEME_FX); ?> <?php the_time( get_option('date_format') ); ?> <?php _e('توسط', THEME_FX); ?> <?php the_author_posts_link(); ?></div>
                    </header>
                    
                    <?php 
                    $post_format = get_post_format($post->ID);
                    $img_width = 650;
					$img_height = 400;
					$img_size = $img_width.'x'.$img_height;
					
                    switch($post_format) :
                        
                        case 'gallery' :
                            $gallery_slider = get_post_meta( $post->ID, THEME_FX . 'gallery_slider', true); 
                            $slide_caption = get_post_meta( $post->ID, THEME_FX . 'slide_caption', true); 
							$img_size = $img_width.'x'.get_post_meta( $post->ID, THEME_FX . 'gallery_image_height', true);
							
							if($gallery_slider == 'on') :
								echo '<div class="entry-asset post-slider flexslider"><ul class="slides">';
								if($slide_caption == 'on') :
									echo freshthemes_print_gallery_images('size='.$img_size.'&before=<li>&after=</li>&caption=1&lightbox=1');
								else :
									echo freshthemes_print_gallery_images('size='.$img_size.'&before=<li>&after=</li>&caption=0&lightbox=1');
								endif;
								echo '</ul></div>';
							else :
								echo '<div class="entry-asset"><ul>';
								echo freshthemes_print_gallery_images('size=650x400&before=<li>&after=</li>&caption=0&lightbox=1');
								echo '</ul></div>';
							endif;
							
                            break;
                            
                        case 'image' :
                            $image_lightbox = get_post_meta( $post->ID, THEME_FX . 'image_lightbox', true); 
							$img_size = $img_width.'x'.get_post_meta( $post->ID, THEME_FX . 'image_height', true);
							
                            if ( (function_exists('has_post_thumbnail')) && ( has_post_thumbnail()) ) :
                            $full_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
                            echo '<figure class="entry-asset"><a href="'.$full_image[0].'" title="'.the_title_attribute( 'echo=0' ).'"',$image_lightbox == 'on' ? ' class="prettyPhoto"' : '','>'.get_the_post_thumbnail( $post->ID, $img_size ).'</a></figure><!-- .entry-asset -->';
                            endif; 
                            break;
                            
                        case 'video' :
                            $video_url = get_post_meta( get_the_ID(), THEME_FX . 'video_url', true );
                            echo '<div class="entry-asset video-container">'. wp_oembed_get( $video_url, array( 'width'=> $img_width ) ) .'</div>';
                            break;
                            
                        default :
							if( get_post_meta( $post->ID, THEME_FX . 'single_featured_image', true) == 'on' ){
								if ( (function_exists('has_post_thumbnail')) && ( has_post_thumbnail()) ) :
								echo '<figure class="entry-asset">'.get_the_post_thumbnail( $post->ID, $img_size ).'</figure><!-- .entry-asset -->';
								endif; 
							}
                            break;
                            
                    endswitch;
                    ?>
                    
                    <section class="entry-content clearfix">
                        <?php if(get_post_meta( $post->ID, THEME_FX . 'enable_review', true ) == true) : freshthemes_print_review_box($post->ID, get_post_meta( $post->ID, THEME_FX . 'review_box_pos', true ));  endif; ?>
                        <?php the_content(); ?>
                    </section>
                    
                    <footer class="entry-footer clearfix">
                        <div class="right">
							<?php the_tags( '<strong>برچسب‌ها :</strong> ', ', ', '<span>' ); ?>
                        </div>
                        
                        <div class="left">
                        	<div id="shareme" data-url="<?php echo the_permalink(); ?>" 
                            	data-text="<?php echo the_title(); ?>" 
								data-title="<?php echo ft_get_option('share_box_label'); ?>"
                            >
                         	</div>
                        </div>
                    </footer>
                </article>
               
				<?php if( ft_get_option('post_nav') == 'on' ) get_template_part('includes/post', 'nav'); ?>
				<?php if( ft_get_option('author_box') == 'on' ) get_template_part('includes/author', 'box'); ?>
                <?php if( ft_get_option('related_posts') == 'on' ) get_template_part('includes/related', 'posts'); ?>
                
                <?php endwhile; ?>
                
                <?php if ( comments_open() ) : comments_template( '', true ); endif; ?>
                
            <?php endif; ?>
            
            </section><!-- #content -->
            
            <?php if( get_post_meta( $post->ID, THEME_FX . 'post_layout', true) != 'fullwidth' ) get_sidebar('left'); ?>
        </div>
    	
        <div id="secondary" class="one-fourth clearfix">
			<?php if( get_post_meta( $post->ID, THEME_FX . 'post_layout', true) != 'fullwidth' ) get_sidebar('right'); ?>
        </div>
    </div>
	
<?php get_footer(); ?>